textures/wildwest_boulderdash/skybox
{
	qer_editorimage textures/wildwest_boulderdash/night_view.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky
//	fogvars ( .75 .66 .59 ) 2675
	q3map_sun 0.851 0.945 1.0 30 307 40
	q3map_surfacelight 15
	skyparms textures/wildwest_boulderdash/night - -
}

textures/wildwest_boulderdash/terrain.vertex
{
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 576 0 0 ) ( 0 576 0 )
	q3map_novertexshadows
//	q3map_forcesunlight
	q3map_globaltexture
	q3map_nonplanar
	surfaceparm nolightmap
//	surfaceparm dust


	{
		map textures/wildwest_boulderdash/mountain.tga
		rgbGen vertex
	}
}

textures/wildwest_boulderdash/terrain_0
{
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 384 0 0 ) ( 0 384 0 )
	q3map_novertexshadows
//	q3map_forcesunlight
	q3map_globaltexture
	q3map_nonplanar
	surfaceparm nolightmap
//	surfaceparm dust

	{
		map textures/wildwest_boulderdash/mountain.tga
		rgbGen vertex
	}
}

textures/wildwest_boulderdash/terrain_0to1
{
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 384 0 0 ) ( 0 384 0 )
	q3map_novertexshadows
//	q3map_forcesunlight
	q3map_globaltexture
	q3map_nonplanar
	surfaceparm nolightmap

	{
		map textures/wildwest_boulderdash/mountain.tga
		rgbGen vertex
		alphaGen vertex
	}
	{
		map textures/wildwest_boulderdash/rock02.tga
		rgbGen vertex
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/wildwest_boulderdash/terrain_1
{
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 384 0 0 ) ( 0 384 0 )
	q3map_novertexshadows
//	q3map_forcesunlight
	q3map_globaltexture
	q3map_nonplanar
	surfaceparm nolightmap

	{
		map textures/wildwest_boulderdash/rock02.tga
		rgbGen vertex
	}
}

textures/wildwest_boulderdash/fogcloud
{
	qer_editorimage textures/wildwest_boulderdash/fog.tga
	qer_trans 0.3
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_surfacelight 0
	q3map_bounce 0
	fogparms ( .37 .31 .27 ) 255

	{
		map textures/wildwest_boulderdash/fogcloud.tga
		blendfunc filter
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/wildwest_boulderdash/fogcloud.tga
		blendfunc filter
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}

textures/wildwest_boulderdash/river
{
	qer_editorimage textures/wildwest_boulderdash/waterfall2a.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable

	{
		map textures/wildwest_boulderdash/waterfall2a.tga
		blendFunc blend
		tcmod scale 0.5 0.5
		tcmod scroll 0 1.5
		depthWrite
		rgbGen vertex
	}
}

textures/wildwest_boulderdash/river2
{
	qer_editorimage textures/wildwest_boulderdash/waterfall2a.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable

	{
		map textures/wildwest_boulderdash/waterfall2a.tga
		blendFunc blend
		tcmod scale 0.5 0.5
		tcmod scroll 0 0.5
		depthWrite
		rgbGen vertex
	}
}

textures/wildwest_boulderdash/wanted-benito
{
	nomipmaps
	nopicmip
	cull disable
	surfaceparm nomarks
	surfaceparm nolightmap

	{
		map textures/wildwest_boulderdash/wanted-benito.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/wildwest_boulderdash/wanted-chico
{
	nomipmaps
	nopicmip
	cull disable
	surfaceparm nomarks
	surfaceparm nolightmap

	{
		map textures/wildwest_boulderdash/wanted-chico.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/wildwest_boulderdash/wanted-esteban
{
	nomipmaps
	nopicmip
	cull disable
	surfaceparm nomarks
	surfaceparm nolightmap

	{
		map textures/wildwest_boulderdash/wanted-esteban.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/wildwest_boulderdash/wanted-ramon
{
	nomipmaps
	nopicmip
	cull disable
	surfaceparm nomarks
	surfaceparm nolightmap

	{
		map textures/wildwest_boulderdash/wanted-ramon.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/wildwest_boulderdash/waterfall2
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	surfaceparm nolightmap
	cull disable

	{
		map textures/wildwest_boulderdash/waterfall2.tga
		blendfunc blend
		tcMod scroll 0 -3.5
		depthWrite
		rgbGen vertex
	}
}

textures/wildwest_boulderdash/waterfall2a
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	surfaceparm nolightmap
	cull disable

	{
		map textures/wildwest_boulderdash/waterfall2.tga
		blendFunc blend
		tcMod scroll 0 -3
		depthWrite
		rgbGen vertex
	}
	{
		map textures/wildwest_boulderdash/waterfall2a.tga
		blendFunc blend
		tcMod scroll 0 -2
		depthWrite
		rgbGen vertex
	}
}
textures/wildwest_boulderdash/ma_picketfence
{
    nomipmaps
    nopicmip
    cull disable
    surfaceparm woodsteps
    surfaceparm nomarks
    surfaceparm nolightmap
    {
        map textures/wildwest_boulderdash/ma_picketfence.tga
        alphaFunc GE128
        depthWrite
        rgbGen vertex
    }
}
textures/wildwest_boulderdash/ma_window8
{
    surfaceparm glass
    surfaceparm nolightmap
    nomipmaps
    nopicmip
    cull disable
    {
        map textures/wildwest_boulderdash/ma_window8.tga
        alphaFunc GE128
        depthWrite
        rgbGen vertex
    }
}
textures/wildwest_boulderdash/ma_stained
{
	qer_editorimage 	textures/wildwest_boulderdash/ma_stained.tga
	surfaceparm nolightmap
	//q3map_surfacelight 10000
	q3map_bounce 8
    	cull none
	{
        map textures/wildwest_boulderdash/ma_stained.tga
	
	depthWrite
        rgbGen vertex
	}
}
textures/wildwest_boulderdash/ma_stained
{
    surfaceparm nolightmap
    nomipmaps
    nopicmip
    cull disable
    {
        map textures/wildwest_boulderdash/ma_stained.tga
        alphaFunc GE128
	//blendFunc blend
        depthWrite
        rgbGen vertex
    }
}
textures/wildwest_boulderdash/ma_ladder
{
	qer_editorimage 	textures/wildwest_boulderdash/ma_ladder.tga  
	q3map_bounce 0
	surfaceparm nolightmap
	surfaceparm alphashadow
	//surfaceparm noimpact
    	surfaceparm nomarks
    	surfaceparm nonsolid
    	surfaceparm playerclip
	cull none
    {
        map textures/wildwest_boulderdash/ma_ladder.tga
	
	alphaFunc GE128	
	depthWrite
        rgbGen vertex
    }
}
textures/wildwest_boulderdash/ma_music
{
    surfaceparm woodsteps
{
		map $lightmap
		rgbGen vertex
	}
	{
		map textures/wildwest_boulderdash/ma_music.tga
		tcmod scroll 0 0.14
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen vertex
	}
}
textures/wildwest_boulderdash/ma_credits
{
    surfaceparm woodsteps
    nopicmip
{
		map $lightmap
		rgbGen vertex
	}
	{
		map textures/wildwest_boulderdash/ma_credits.tga
		tcmod scroll 0 0.14
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen vertex
	}
}
