// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
// color will be normalized, so it doesn't matter what range you use
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// Last edited by Hewster 17th October 2004


textures/wildwest_mountain/midday
{
	qer_editorimage textures/wildwest_mountain/midday_up.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm sky
	//fogvars ( .66 .5 .37 ) 3650
	q3map_sunExt 1.0 1.0 0.9 120 240 55 2 16
	q3map_lightmapFilterRadius 0 64
	q3map_skyLight 120 5
	skyparms textures/wildwest_mountain/midday - -
	{
		depthWrite
	}
}


textures/wildwest_mountain/terrain_0
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/wildwest_mountain/terrain0.tga
		rgbGen vertex
		tcmod scale 0.025 0.025
	}
}

textures/wildwest_mountain/terrain_1
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/wildwest_mountain/terrain1.tga
		rgbGen vertex
		tcmod scale 0.025 0.025
	}
}

textures/wildwest_mountain/terrain_2
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/wildwest_mountain/terrain2.tga
		rgbGen vertex
		tcmod scale 0.025 0.025
	}
}

textures/wildwest_mountain/terrain_3
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/wildwest_mountain/terrain3.tga
		rgbGen vertex
		tcmod scale 0.025 0.025
	}
}

textures/wildwest_mountain/terrain_0to1
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/wildwest_mountain/terrain0.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.025 0.025
	}
	{
		map textures/wildwest_mountain/terrain1.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.025 0.025
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/wildwest_mountain/terrain_0to2
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/wildwest_mountain/terrain0.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.025 0.025
	}
	{
		map textures/wildwest_mountain/terrain2.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.025 0.025
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/wildwest_mountain/terrain_0to3
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/wildwest_mountain/terrain0.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.025 0.025
	}
	{
		map textures/wildwest_mountain/terrain3.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.025 0.025
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/wildwest_mountain/terrain_1to2
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/wildwest_mountain/terrain1.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.025 0.025
	}
	{
		map textures/wildwest_mountain/terrain2.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.025 0.025
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/wildwest_mountain/terrain_1to3
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/wildwest_mountain/terrain1.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.025 0.025
	}
	{
		map textures/wildwest_mountain/terrain3.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.025 0.025
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/wildwest_mountain/terrain_2to3
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/wildwest_mountain/terrain2.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.025 0.025
	}
	{
		map textures/wildwest_mountain/terrain3.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.025 0.025
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/wildwest_mountain/sand_terrain 
{ 
qer_editorimage textures/wildwest_mountain/terrain1.tga

	q3map_terrain

     surfaceparm snowsteps 
	surfaceparm nodraw 
	surfaceparm nomarks 
	surfaceparm nolightmap 
} 

textures/wildwest_mountain/water
{
	qer_editorimage textures/wildwest_mountain/water1.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable

	{
		map textures/wildwest_mountain/water1.tga
		blendFunc blend
		tcmod scale 0.5 0.5
		tcmod scroll 0.01 0.0
		depthWrite
		rgbGen vertex
	}
}

textures/wildwest_mountain/fence
{
	nomipmaps
	nopicmip
	cull disable
	surfaceparm nomarks
	surfaceparm nolightmap

	{
		map textures/wildwest_mountain/fence.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}


textures/wildwest_mountain/tower_beam
{
	nomipmaps
	nopicmip
	cull disable
	surfaceparm nomarks
	surfaceparm nolightmap

	{
		map textures/wildwest_mountain/tower_beam.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/wildwest_mountain/rope_m01
{
	nomipmaps
	nopicmip
	cull disable
	surfaceparm nomarks
	surfaceparm nolightmap

	{
		map textures/wildwest_mountain/rope_m01.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/wildwest_mountain/crack
{
	qer_editorimage textures/wildwest_mountain/crack.tga
	polygonOffset
	entityMergable
	{
		map textures/wildwest_mountain/crack.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}
textures/wildwest_mountain/explosion
{
	qer_editorimage textures/wildwest_mountain/explosion.tga
	polygonOffset
	entityMergable
	{
		map textures/wildwest_mountain/editor/explosion.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}
textures/wildwest_mountain/ma_polichedwood02
{
	qer_editorimage textures/wildwest_mountain/ma_polichedwood02.tga
	q3map_bounce 0
	q3map_forcesunlight
	cull none
	{
		map textures/wildwest_mountain/ma_polichedwood02.tga
		alphaFunc GE128
		rgbGen vertex
	}
}
