watersplash
{
	cull disable
	{
		animmap 20 models/weaphits/splash2_1.tga  models/weaphits/splash2_2.tga  models/weaphits/splash2_3.tga models/weaphits/splash2_4.tga gfx/colors/ablack.tga
		alphaGen wave inversesawtooth 0 1 0 4
		blendfunc blend
	}
}

ww_oilslick
{
	polygonOffset
	entityMergable
	surfaceparm slick
	{
		map ww_gfx/oil_slick.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
	{
		map ww_gfx/oil_slick_env.tga
		blendFunc GL_ONE_MINUS_DST_ALPHA GL_ONE 
		tcmod scale 2 2
		tcGen environment
	}
}

ww_lightbeam
{
	sort nearest
	cull none
	{
		map *white
		blendfunc	GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen vertex
	}
}

ww_spotlight
{
	nocompress
	polygonOffset
	{
		clampmap ww_sprites/s_spotlight.tga
		blendfunc	GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen vertex
	}
}

ww_tracer
{
	cull none
	{
		map	ww_gfx/gfx_tracer2.tga
		blendFunc GL_ONE GL_ONE
	}
}

ww_waterwake
{
	{
		clampmap ww_sprites/s_splashalpha.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		tcMod stretch sin .9 0.03 0 0.5
		rgbGen wave sin .7 .07 .25 .5
	}	
}

ww_waterwakeanim
{
	{
		clampmap ww_sprites/s_splashalpha.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		tcmod stretch sin 0 1 0 .25
	}	
}

ww_waterbubble
{
	sort underwater
	cull none
	entityMergable		// allow all the sprites to be merged together
	{
		map ww_sprites/s_bubble.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen		vertex
		alphaGen	vertex
	}
}

ww_watersplash
{
	cull disable
	{
		animmap 20 ww_sprites/s_splash2_1.tga  ww_sprites/s_splash2_2.tga  ww_sprites/s_splash2_3.tga ww_sprites/s_splash2_4.tga ww_gfx/colours/ww_black.tga
		alphaGen wave inversesawtooth 0 1 0 4
		blendfunc blend
	}
}

ww_grenadeexplosion
{
	cull disable
	{
		animmap 7 ww_gfx/colours/ww_black.tga ww_sprites/s_fire_sm_a.tga ww_sprites/s_fire_sm_b.tga ww_sprites/s_fire_sm_c.tga ww_sprites/s_fire_sm_d.tga ww_sprites/s_fire_sm_e.tga ww_sprites/s_fire_sm_f.tga
		rgbGen wave inversesawtooth 0 1 0 7
		blendFunc GL_SRC_ALPHA GL_ONE
	}
	{
		animmap 7  ww_sprites/s_fire_sm_a.tga ww_sprites/s_fire_sm_b.tga ww_sprites/s_fire_sm_c.tga ww_sprites/s_fire_sm_d.tga ww_sprites/s_fire_sm_e.tga ww_sprites/s_fire_sm_f.tga ww_gfx/colours/ww_black.tga
		rgbGen wave sawtooth 0 1 0 7
		blendFunc GL_SRC_ALPHA GL_ONE
	}
}