gfx_backtile
{
	nopicmip
	nomipmaps
	{
		map ww_gfx/gfx_backtile.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

gfx_bluecolorbar
{
	nopicmip
	nomipmaps
	nocompress
	{
		clampmap ww_gfx/gfx_bluecolorbar.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

gfx_redcolorbar
{
	nopicmip
	nomipmaps
	nocompress
	{
		clampmap ww_gfx/gfx_redcolorbar.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

gfx_bullet_mrk
{
	polygonOffset
	{
		map ww_gfx/damage/bullet_mrk.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

gfx_ceramic_mrk
{
	polygonOffset
	{
		map ww_gfx/damage/ceramic_mrk.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

gfx_glass_mrk
{
	polygonOffset
	{
		map ww_gfx/damage/glass_mrk.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

gfx_metal_mrk
{
	polygonOffset
	{
		map ww_gfx/damage/metal_mrk.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

gfx_wood_mrk
{
	polygonOffset
	{
		map ww_gfx/damage/wood_mrk.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

//gfx_burn_med_mrk
//{
//	polygonOffset
//	{
//		map ww_gfx/damage/burn_med_mrk.tga
//		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
//		rgbGen exactVertex
//	}
//}

// Huey a fix for this shader so it works in fogged levels
gfx_burn_med_mrk
{
	polygonOffset
//	nomipmaps
//	nopicmip
	nofog
	
//	sort nearest
//	entityMergable
	{
		map ww_gfx/damage/burn_med_mrk2.tga
//		map textures/ww_battlecreek2/ma_flameball.tga
//		blendFunc GL_DST_COLOR GL_ZERO
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
//		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
//		depthWrite
	}
}

gfx_dirt_splash
{
	nopicmip
	entityMergable
	{
		map ww_gfx/gfx_sand_splash.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

gfx_water_splash
{
	nopicmip
	entityMergable
	{
		map ww_gfx/gfx_water_splash.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

gfx_hole_lg_mrk
{
	polygonOffset
	{
		map ww_gfx/damage/hole_lg_mrk.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
		rgbGen exactVertex
	}
}

gfx_railcore
{
	sort nearest
	cull none
	{
		map ww_gfx/gfx_railcore.tga
		blendFunc GL_ONE GL_ONE
		rgbGen vertex
		tcMod scroll -1 0
	}
}

ww_gfx/reticlesimple
{
	nopicmip
	nomipmaps
	{
		map ww_gfx/gfx_reticle1.tga
		blendfunc filter
	}
}

ww_gfx/select
{
	nomipmaps
	nopicmip
	{
		map ww_gfx/gfx_select.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		rgbGen vertex
	}
}





flareShader
{
	nofog
	nopicmip
	cull none
	{
		map ww_gfx/gfx_flare5.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
	}
}

sunflare1
{
	cull none
	{
		map ww_gfx/gfx_sunflare1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen vertex
	}
}



bbox
{
	nopicmip

	{
		map ww_gfx/bbox.tga
		blendFunc blend
		rgbGen vertex
	}
}

bbox_nocull
{
	nopicmip
	cull none

	{
		map ww_gfx/bbox.tga
		blendFunc blend
		rgbGen vertex
	}
}

