//==========================================================
//==========================================================
// DYNAMIC SHADERS
//==========================================================
//==========================================================
textures/ww_kfg/models/horse_brown
{
	{
		map textures/ww_kfg/models/horse_brown.tga
		rgbGen oneMinusEntity
	}
}

textures/ww_kfg/models/horse_white
{
	{
		map textures/ww_kfg/models/horse_white.tga
		rgbGen oneMinusVertex
	}
}


textures/ww_kfg/tramglass2
{
	qer_editorimage textures/ww_kfg/dirtymirror2.tga
	surfaceparm glass
	surfaceparm alphashadow
	surfaceparm trans
	qer_trans 	0.5
	{
		map textures/ww_kfg/dirtymirror2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		depthWrite
	}

}

textures/ww_kfg/models/desklamp_lt
{
	qer_editorimage 	textures/ww_kfg/models/desklamp_lt.tga
	q3map_lightimage textures/ww_kfg/models/desklamp_lightimage.tga
	q3map_surfacelight 1000
	surfaceparm trans
	{
		map textures/ww_kfg/models/desklamp_lt.tga
		rgbgen vertex
	}
}

textures/ww_kfg/dome_light
{
	qer_editorimage 	textures/ww_kfg/dome_light.tga
	q3map_lightimage textures/ww_kfg/dome_light.tga
	q3map_surfacelight 1000
	surfaceparm trans
	{
		map textures/ww_kfg/dome_light.tga
		rgbGen oneMinusEntity
	}
}

textures/ww_kfg/cardboarddecal
{
	polygonOffset
	entityMergable
	{
		map textures/ww_kfg/cardboarddecal.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/ww_kfg/boltface
{
	polygonOffset
	entityMergable
	{
		map textures/ww_kfg/boltface.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/ww_kfg/ww_flamelogo
{
	polygonOffset
	entityMergable
	{
		map textures/ww_kfg/ww_flamelogo.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/ww_kfg/ww_logo
{
	polygonOffset
	entityMergable
	{
		map textures/ww_kfg/ww_logo.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/ww_kfg/testlight
{
	q3map_lightimage textures/ww_kfg/light_m6_blend.tga
	qer_editorimage textures/ww_kfg/light_m6.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ww_kfg/light_m6.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ww_kfg/light_m6_blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/ww_kfg/flourlight
{
	q3map_lightimage textures/ww_kfg/flourlight.tga
	qer_editorimage textures/ww_kfg/flourlight.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ww_kfg/flourlight.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ww_kfg/flourlight_blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/ww_kfg/nerffom
{
	q3map_lightimage textures/ww_kfg/nerffom.tga
	qer_editorimage textures/ww_kfg/nerffom.tga
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ww_kfg/nerffom.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ww_kfg/nerffom_blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/ww_kfg/metal_m03ss
{
	surfaceparm metalsteps
	{
		map textures/ww_kfg/metal_m03ss.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
	}
	{
		map textures/ww_kfg/tinfx5.tga
		blendFunc GL_ONE_MINUS_DST_ALPHA GL_ONE
		tcMod Scale 1.5 1.5  
		tcGen environment
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ww_kfg/metal_m04ss
{
	surfaceparm metalsteps
	{
		map textures/ww_kfg/metal_m04ss.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
	}
	{
		map textures/ww_kfg/tinfx5.tga
		blendFunc GL_ONE_MINUS_DST_ALPHA GL_ONE
		tcMod Scale 1.5 1.5  
		tcGen environment
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ww_kfg/fan
{
        surfaceparm trans	
        surfaceparm nomarks	
	cull none
        nopicmip
	{
		clampmap textures/ww_kfg/fan.tga
		tcMod rotate 256 
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//textures/ww_kfg/water	
//{
//	qer_editorimage textures/ww_kfg/newwater.tga
//	qer_trans .2
//	q3map_globaltexture
//	surfaceparm trans
//	surfaceparm nonsolid
//	surfaceparm water
//	cull none
//	fogparms ( .5 .5 .5 ) 550	
//	{ 
//		fog on
//		map textures/ww_kfg/newwater.tga
//		blendFunc blend
//		tcmod scale .5 .5
//		depthWrite
//	}
//}

textures/ww_kfg/water
	
{
	qer_editorimage textures/ww_kfg/newwater.tga
	qer_trans .2
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
//	cull none
	{ 
		map textures/ww_kfg/newwater.tga
		blendFunc blend
		depthWrite
	}
}

textures/ww_kfg/fence_c10
{
	qer_editorimage textures/ww_kfg/fence_c10.tga
	surfaceparm metalsteps
	surfaceparm nomarks
	nomipmaps
	nopicmip
	cull none
	{
		map textures/ww_kfg/fence_c10.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/ww_kfg/fence_c10_light
{
	surfaceparm roofsteps
	surfaceparm nomarks
	qer_editorimage textures/ww_kfg/fence_c10_light.tga
	nomipmaps
	nopicmip
	cull none
	{
		map textures/ww_kfg/fence_c10_light.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

//==========================================================
//==========================================================
// DYNAMIC SHADERS
//==========================================================
//==========================================================
textures/ww_kfg/fishscales
{
	{
		map textures/ww_kfg/fishscales.tga
//		rgbGen lightingdiffuse
	}
}

textures/ww_kfg/fishhead
{
	{
		map textures/ww_kfg/fishhead.tga
//		rgbGen lightingdiffuse
	}
}

textures/ww_kfg/fishtail
{
	{
		map textures/ww_kfg/fishtail.tga
//		rgbGen lightingdiffuse
	}
}



//==========================================================
//==========================================================
// SKY
//==========================================================
//==========================================================

textures/ww_kfg/sky/midday
{
	qer_editorimage textures/ww_kfg/sky/midday_up.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sunExt 1.0 0.95 0.75 150 240 50 2 16
	q3map_lightmapFilterRadius 0 64
	q3map_skyLight 80 5
	skyparms textures/ww_kfg/sky/midday - -
	{
		depthWrite
	}
}

textures/ww_kfg/bathmirror
{ 
	qer_editorimage textures/hewster/effects/portal_thumb1.tga
	surfaceparm nolightmap 
	portal 
	{
		map textures/ww_kfg/mirror1.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA 

		depthWrite 
		alphaGen portal 2048 
	} 
} 
