ww_sparkflareparticle
{
	cull none
	entityMergable
	{
		map ww_gfx/gfx_sunflare1.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen 	vertex
		alphaGen vertex
	}
}

ww_sparkparticle
{
	cull none
	entityMergable
	{
		map ww_sprites/s_spark.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen 	vertex
		alphaGen vertex
	}
}

ww_shield
{
	nopicmip
	nocompress
	{
		map ww_sprites/s_shield.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

ww_skull
{
	nopicmip
	nocompress
	nomipmaps
	{
		map ww_sprites/s_dead.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

doctor_revive
{
	nopicmip
	nocompress
	{
		map ww_sprites/s_docrevive.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

ww_voice_chat
{
	nopicmip
	nocompress
	{
		map ww_sprites/s_voicechat.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

ww_entityOnFire1
{
	nopicmip
	nomipmap
	// give it some character
	deformVertexes wave 45 sin 0 10 0 -.6	// a negative frequency is for Z deformation based on normal
	cull none
	{
		animmap 20 ww_sprites/entonfire/s_spr000.tga ww_sprites/entonfire/s_spr001.tga ww_sprites/entonfire/s_spr002.tga ww_sprites/entonfire/s_spr003.tga ww_sprites/entonfire/s_spr004.tga ww_sprites/entonfire/s_spr005.tga ww_sprites/entonfire/s_spr006.tga ww_sprites/entonfire/s_spr007.tga ww_sprites/entonfire/s_spr008.tga ww_sprites/entonfire/s_spr009.tga ww_sprites/entonfire/s_spr010.tga ww_sprites/entonfire/s_spr011.tga ww_sprites/entonfire/s_spr012.tga ww_sprites/entonfire/s_spr013.tga ww_sprites/entonfire/s_spr014.tga ww_sprites/entonfire/s_spr015.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		alphaGen normalzfade 1.0 -0.7 0.5
	}
}

ww_entityOnFire2
{
	nopicmip
	nomipmap
	{
		animmap 20 ww_sprites/entonfire/s_spr000.tga ww_sprites/entonfire/s_spr001.tga ww_sprites/entonfire/s_spr002.tga ww_sprites/entonfire/s_spr003.tga ww_sprites/entonfire/s_spr004.tga ww_sprites/entonfire/s_spr005.tga ww_sprites/entonfire/s_spr006.tga ww_sprites/entonfire/s_spr007.tga ww_sprites/entonfire/s_spr008.tga ww_sprites/entonfire/s_spr009.tga ww_sprites/entonfire/s_spr010.tga ww_sprites/entonfire/s_spr011.tga ww_sprites/entonfire/s_spr012.tga ww_sprites/entonfire/s_spr013.tga ww_sprites/entonfire/s_spr014.tga ww_sprites/entonfire/s_spr015.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		alphaGen normalzfade 1.0 -0.7 1.3
	}
	{	// blue under-side
		map ww_sprites/s_inferno_blue.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		alphaGen normalzfade 1.0 -2.0 0.6
	}
}

balloon_chat
{
	nocompress
	nopicmip
	{
		map ww_sprites/s_chat_bulb.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

ww_oilparticle
{
	cull none
	entityMergable		// allow all the sprites to be merged together
	{
		map ww_sprites/s_oil_particle.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen		vertex
		alphaGen	vertex
	}
}

ww_markshadow
{
	nofog
	polygonOffset
	{
		map ww_sprites/shadow/s_shadow_soft.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
		rgbGen exactVertex
	}	
}

ww_markshadowfoot
{
	nofog
	polygonOffset
	{
		map ww_sprites/shadow/s_shadow_foot.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
		rgbGen exactVertex
	}	
}
ww_markshadowtorso
{
	nofog
	polygonOffset
	{
		map ww_sprites/shadow/s_shadow_torso.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
		rgbGen exactVertex
	}	
}

ww_smoketrail
{
	cull none
	entityMergable
	{
		map ww_sprites/smoke/s_smoketrail.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen 	vertex
		alphaGen vertex
	}
}

ww_smokeparticle
{
	cull none
	{
		map ww_sprites/smoke/s_smokeparticle.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
}

ww_gunsmoke
{
	cull none
	{
		map ww_sprites/smoke/s_gunsmoke.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//		blendFunc blend
		alphaGen vertex
//		rgbGen oneMinusEntity
	}
}

ww_smokepuff
{
	nofog
	cull none
	entityMergable		// allow all the sprites to be merged together
	{
		map ww_sprites/smoke/s_smokepuff.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen		vertex
		alphaGen	vertex
	}
}

ww_smokepuff1
{
	cull none
	{
		map ww_sprites/smoke/s_smokepuff1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen entity		
		rgbGen entity
	}
}

ww_smokepuffragepro
{
	cull none
	entityMergable		// allow all the sprites to be merged together
	{
		map ww_sprites/smoke/s_smokepuffragepro.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

ww_smokepuffblack1
{
	cull none
	{
		map ww_sprites/smoke/s_smokepuff_b1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}

}

ww_smokepuffblack2
{
	cull none
	{
		map ww_sprites/smoke/s_smokepuff_b2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}

}

ww_smokepuffblack3
{
	cull none
	{
		map ww_sprites/smoke/s_smokepuff_b3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}

}

ww_smokepuffblack4
{
	cull none
	{
		map ww_sprites/smoke/s_smokepuff_b4.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}

}

ww_smokepuffblack5
{
	cull none
	{
		map ww_sprites/smoke/s_smokepuff_b5.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}

}

ww_smokepuffdirty
{
	cull none
	entityMergable		// allow all the sprites to be merged together
	{
		map ww_sprites/smoke/s_smokepuff_d.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen		vertex
		alphaGen	vertex
	}
}

ww_snow_tri
{
	cull none
	entityMergable		// allow all the sprites to be merged together
	{
		map ww_sprites/s_snow_tri.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen	vertex
		alphaGen	vertex
	}
}