//==========================================================
//==========================================================
//  SHADERS IN THIS FILE MUST BE DISTRIBUTED WITH BSP
//==========================================================
//==========================================================




//==========================================================
//==========================================================
// FIRST SECTION ARE SHADERS WITH ALPHA CHANNELS
//==========================================================
//==========================================================

textures/ww_town/alpha/beam
{
	qer_editorimage textures/ww_town/alpha/beam.tga
	qer_trans 0.5
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	q3map_bounce 0
	cull none
	{
		map textures/ww_town/alpha/beam.tga
		blendFunc blend
	}
}

textures/ww_town/alpha/kb_bars
{
	qer_editorimage textures/ww_town/alpha/kb_bars.tga
	qer_trans 0.5
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
	surfaceparm pointlight
	q3map_bounce 0
	cull none
	{
		map textures/ww_town/alpha/kb_bars.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/ww_town/alpha/kb_bridgetruss
{
	qer_editorimage textures/ww_town/alpha/kb_bridgetruss.tga
	qer_trans 0.5
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm pointlight
	q3map_bounce 0
	q3map_forcesunlight
	cull none
	{
		map textures/ww_town/alpha/kb_bridgetruss.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/ww_town/alpha/kb_cable
{
	qer_editorimage textures/ww_town/alpha/kb_cable.tga
	qer_trans 0.5
	nomipmaps
	surfaceparm nomarks
	surfaceparm pointlight
	q3map_bounce 0
	q3map_forcesunlight
	cull none
	{
		map textures/ww_town/alpha/kb_cable.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/ww_town/alpha/kb_cable2
{
	qer_editorimage textures/ww_town/alpha/kb_cable2.tga
	qer_trans 0.5
	nomipmaps
	surfaceparm nomarks
	surfaceparm pointlight
	q3map_bounce 0
	q3map_forcesunlight
	cull none
	{
		map textures/ww_town/alpha/kb_cable2.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/ww_town/alpha/kb_elpasochains
{
	qer_editorimage textures/ww_town/alpha/kb_elpasochains.tga
	qer_trans 0.5
	surfaceparm nomarks
	surfaceparm pointlight
	q3map_bounce 0
	q3map_forcesunlight
	cull none
	{
		map textures/ww_town/alpha/kb_elpasochains.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/ww_town/alpha/kb_fence
{
	qer_editorimage textures/ww_town/alpha/kb_fence.tga
	qer_trans 0.5
	q3map_lightmapsamplesize 20
	q3map_lightmapGamma 1
	q3map_bounce 0
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	{
		map textures/ww_town/alpha/kb_fence.tga
		rgbgen identity
		alphaFunc GE128
	}
	{
		map $lightmap
		blendFunc filter
		rgbgen identity
		alphaFunc GE128
	}
}

textures/ww_town/alpha/kb_ladder
{
	qer_editorimage textures/ww_town/alpha/kb_ladder.tga
	qer_trans 0.5
	q3map_lightmapsamplesize 20
	q3map_lightmapGamma 1
	q3map_bounce 0
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	{
		map textures/ww_town/alpha/kb_ladder.tga
		rgbgen identity
		alphaFunc GE128
	}
	{
		map $lightmap
		blendFunc filter
		rgbgen identity
		alphaFunc GE128
	}
}

textures/ww_town/alpha/kb_netcurtain
{
	qer_editorimage textures/ww_town/alpha/kb_netcurtain.tga
	qer_trans 0.5
//	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm pointlight
	q3map_bounce 0
	q3map_forcesunlight
	cull none
	{
		map textures/ww_town/alpha/kb_netcurtain.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/ww_town/alpha/kb_posts
{
	qer_editorimage textures/ww_town/alpha/kb_posts.tga
	qer_trans 0.5
	q3map_lightmapsamplesize 20
	q3map_lightmapGamma 1
	q3map_bounce 0
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	{
		map textures/ww_town/alpha/kb_posts.tga
		rgbgen identity
		alphaFunc GE128
	}
	{
		map $lightmap
		blendFunc filter
		rgbgen identity
		alphaFunc GE128
	}
}

textures/ww_town/alpha/hew_post1
{
	qer_editorimage textures/ww_town/alpha/hew_post1.tga
//	qer_trans 0.5
	nomipmaps
	q3map_lightmapsamplesize 8
	q3map_lightmapGamma 1
	q3map_bounce 0
	surfaceparm woodsteps
//	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	{
		map textures/ww_town/alpha/hew_post1.tga
		rgbgen identity
//		blendFunc blend
		alphaFunc GE128
	}
	{
		map $lightmap
		blendFunc filter
		rgbgen identity
		alphaFunc GE128
	}
}

textures/ww_town/alpha/kb_postsup
{
	qer_editorimage textures/ww_town/alpha/kb_postsup.tga
	qer_trans 0.5
	q3map_lightmapsamplesize 20
	q3map_lightmapGamma 1
	q3map_bounce 0
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	{
		map textures/ww_town/alpha/kb_postsup.tga
		rgbgen identity
		alphaFunc GE128
	}
	{
		map $lightmap
		blendFunc filter
		rgbgen identity
		alphaFunc GE128
	}
}

textures/ww_town/alpha/kb_railings
{
	qer_editorimage textures/ww_town/alpha/kb_railings.tga
	qer_trans 0.5
	q3map_lightmapsamplesize 20
	q3map_lightmapGamma 1
	q3map_bounce 0
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	{
		map textures/ww_town/alpha/kb_railings.tga
		rgbgen identity
		alphaFunc GE128
	}
	{
		map $lightmap
		blendFunc filter
		rgbgen identity
		alphaFunc GE128
	}
}

textures/ww_town/alpha/kb_railings02
{
	qer_editorimage textures/ww_town/alpha/kb_railings02.tga
	qer_trans 0.5
	nomipmaps
	q3map_lightmapsamplesize 20
	q3map_lightmapGamma 1
	q3map_bounce 0
	surfaceparm alphashadow
	surfaceparm nomarks
//	surfaceparm nonsolid
	surfaceparm playerclip
	cull none
	{
		map textures/ww_town/alpha/kb_railings02.tga
		rgbgen identity
		alphaFunc GE128
	}
	{
		map $lightmap
		blendFunc filter
		rgbgen identity
		alphaFunc GE128
	}
}

textures/ww_town/alpha/kb_vulture
{
	qer_editorimage textures/ww_town/alpha/kb_vulture.tga
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_bounce 0
	{
		map textures/ww_town/alpha/kb_vulture.tga
		alphaFunc GE128
		depthWrite
	}
}

textures/ww_town/alpha/le_window01
{
	qer_editorimage textures/ww_town/alpha/kb_window04.tga
	qer_trans 0.5
	surfaceparm nomarks
	q3map_lightimage textures/ww_town/alpha/huey_windowlight1.tga
	q3map_surfacelight 250
	cull none
	{
		map textures/ww_town/alpha/kb_window04.tga
		blendFunc blend
		rgbgen vertex
	}
}

textures/ww_town/alpha/lx_window01
{
	qer_editorimage textures/ww_town/alpha/window1.tga
	qer_trans 1
	surfaceparm nomarks
	surfaceparm trans
	q3map_lightmapGamma 1
	q3map_bounce 0
	sort Underwater
//	nomipmaps
	{
		map textures/ww_town/alpha/window1.tga
		alphaFunc GE128
		rgbgen identity
	}
	{
		map $lightmap
		alphaFunc GE128
		blendFunc filter
		rgbgen identity
	}
}

textures/ww_town/alpha/lx_window01_env
{
	qer_editorimage textures/ww_town/sfx/environment2.tga
	qer_trans 0.5
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm trans
//	q3map_bounce 20
	q3map_bounce 0
	cull none // compile only ?
	{
//		map textures/ww_town/sfx/environment1.tga
		map textures/ww_town/alpha/blank.tga // compile time only
		tcGen environment
		blendFunc blend
	}
}

textures/ww_town/alpha/lx_window02_env
{
	qer_editorimage textures/ww_town/sfx/environment2.tga
	qer_trans 0.5
	surfaceparm nomarks
	surfaceparm pointlight
//	q3map_bounce 15
	q3map_bounce 0
	cull none // compile only ?
	{
//		map textures/ww_town/sfx/environment1.tga
		map textures/ww_town/alpha/blank.tga // compile time only
		tcGen environment
		blendFunc blend
	}
}

textures/ww_town/alpha/lx_window03_env
{
	qer_editorimage textures/ww_town/sfx/environment2.tga
	qer_trans 0.5
	surfaceparm nomarks
	surfaceparm pointlight
//	q3map_bounce 7
	q3map_bounce 0
	cull none // compile only ?
	{
//		map textures/ww_town/sfx/environment1.tga
		map textures/ww_town/alpha/blank.tga // compile time only
		tcGen environment
		blendFunc blend
	}
}

textures/ww_town/alpha/lx_window04_env
{
	qer_editorimage textures/ww_town/sfx/environment2.tga
	qer_trans 0.5
	surfaceparm nomarks
	surfaceparm pointlight
//	q3map_bounce 6
	q3map_bounce 0
	cull none // compile only ?
	{
//		map textures/ww_town/sfx/environment1.tga
		map textures/ww_town/alpha/blank.tga // compile time only
		tcGen environment
		blendFunc blend
	}
}


textures/ww_town/alpha/window2
{
	qer_editorimage 	textures/ww_town/alpha/window2.tga
	qer_trans 0.5
	surfaceparm pointlight
	surfaceparm trans
//	cull none
	sort banner
	{
		map textures/ww_town/alpha/window2.tga
		blendFunc blend

//		depthWrite
	}
//	{
//		map textures/ww_town/sfx/environment1.tga
//		tcGen environment
//		blendFunc blend
//	}
}

textures/ww_town/alpha/kb_wire
{
	qer_editorimage textures/ww_town/alpha/kb_wire.tga
	qer_trans 0.5
	nomipmaps
	surfaceparm nomarks
	surfaceparm pointlight
	q3map_bounce 0
	q3map_forcesunlight
	cull none
	{
		map textures/ww_town/alpha/kb_wire.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/ww_town/alpha/shadow_clear
{
	qer_editorimage textures/ww_town/alpha/shadow_clear.tga
	surfaceparm nonsolid
	surfaceparm nodlight
	surfaceparm trans
	q3map_bounce 0
	qer_trans 0.9
	{
		map textures/ww_town/alpha/blank.tga
		rgbgen identity
		alphaFunc GE128
	}
	{
		map $lightmap
		blendFunc filter
		rgbgen identity
		tcgen lightmap
		alphaFunc GE128
	}
}

textures/ww_town/alpha/shadowcast
{
	qer_editorimage textures/common/shadowcast.tga
	qer_trans 0.5
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm pointlight
	q3map_bounce 0
	{
		map textures/ww_town/alpha/blank.tga
		alphaFunc GT0
		alphaGen const 0
	}
}



//////////////////////////////////////////////////////////////////////////////
// MODEL ALPHAS AND DYNAMIC
//////////////////////////////////////////////////////////////////////////////
textures/ww_town/models/cart_spokes1
{
	qer_editorimage textures/ww_town/models/cart_spokes1.tga
	q3map_forcemeta
	q3map_lightmapsamplesize 20
	q3map_lightmapGamma 1
	q3map_bounce 0
	surfaceparm nomarks
	surfaceparm alphashadow
	q3map_alphaGen const 1.0
	cull none
	{
		map textures/ww_town/models/cart_spokes1.tga
		rgbgen identity
		alphaFunc GE128
	}
	{
		map $lightmap
		blendFunc filter
		rgbgen identity
		alphaFunc GE128
	}
}

textures/ww_town/models/bedpost1
{
	qer_editorimage textures/ww_town/models/bedpost1.tga
	q3map_forcemeta
	q3map_lightmapsamplesize 20
	q3map_lightmapGamma 1
	q3map_bounce 0
	surfaceparm alphashadow
	surfaceparm nomarks
	q3map_alphaGen const 1.0
	cull none
	{
		map textures/ww_town/models/bedpost1.tga
		rgbgen identity
		alphaFunc GE128
	}
	{
		map $lightmap
		blendFunc filter
		rgbgen identity
		alphaFunc GE128
	}

}

textures/ww_town/models/chair1_wood2
{
	qer_editorimage textures/ww_town/models/chair1_wood2.tga
	q3map_forcemeta
	q3map_lightmapsamplesize 20
	q3map_lightmapGamma 1
	q3map_bounce 0
	surfaceparm alphashadow
	surfaceparm nomarks
	q3map_alphaGen const 1.0
	cull none
	{
		map textures/ww_town/models/chair1_wood2.tga
		rgbgen identity
		alphaFunc GE128
	}
	{
		map $lightmap
		blendFunc filter
		rgbgen identity
		alphaFunc GE128
	}
}

textures/ww_town/models/torch2_grill
{
	qer_editorimage textures/ww_town/models/torch2_grill.tga
	q3map_forcemeta
	q3map_lightmapsamplesize 20
	q3map_lightmapGamma 1
	q3map_bounce 0
	surfaceparm trans
	q3map_alphaGen const 1.0
	cull none
	{
		map textures/ww_town/models/torch2_grill.tga
		rgbgen identity
		alphaFunc GE128
	}
	{
		map $lightmap
		blendFunc filter
		rgbgen identity
		alphaFunc GE128
	}
}

textures/ww_town/models/hay1
{
	qer_editorimage textures/ww_town/models/hay1.tga
	q3map_bounce 0
	q3map_forcesunlight
	q3map_alphaGen const 1.0
	cull none
	{
		map textures/ww_town/models/hay1.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/ww_town/models/plant1_leaves
{
	qer_editorimage textures/ww_town/models/plant1_leaves.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	q3map_bounce 0
	q3map_alphaGen const 1.0
	cull none
	{
		map textures/ww_town/models/plant1_leaves.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/ww_town/models/plant2_leaves
{
	qer_editorimage textures/ww_town/models/plant2_leaves.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	q3map_bounce 0
	q3map_forcesunlight
	q3map_alphaGen const 1.0
	cull none
	{
		map textures/ww_town/models/plant2_leaves.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/ww_town/models/woodpile_ash
{
	qer_editorimage textures/ww_town/models/woodpile_ash.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	q3map_bounce 0
	q3map_forcesunlight
	q3map_alphaGen const 1.0
	cull none
	{
		map textures/ww_town/models/woodpile_ash.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/ww_town/models/reeds01
{
	qer_editorimage textures/ww_town/models/reeds01.tga
	surfaceparm alphashadow
	cull none
	q3map_bounce 0
	q3map_forcesunlight
	q3map_alphaGen const 1.0
	{
		map textures/ww_town/models/reeds01.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/ww_town/models/reeds02
{
	qer_editorimage textures/ww_town/models/reeds02.tga
	surfaceparm alphashadow
	cull none
	q3map_bounce 0
	q3map_forcesunlight
	q3map_alphaGen const 1.0
	{
		map textures/ww_town/models/reeds02.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}


textures/ww_town/models/bucket_metal1
{
	qer_editorimage textures/ww_town/models/bucket_metal1.tga
	q3map_forcemeta
	q3map_lightmapsamplesize 20
	q3map_lightmapGamma 1
	q3map_bounce 0
	cull none
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ww_town/models/bucket_metal1.tga
		blendFunc filter
		rgbGen identity
	}
}


textures/ww_town/models/glass1
{
	qer_editorimage textures/ww_town/models/glass1.tga
	q3map_forcemeta
	q3map_lightmapsamplesize 20
	q3map_lightmapGamma 1
	q3map_bounce 0
	cull none
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ww_town/models/glass1.tga
		blendFunc filter
		rgbGen identity
	}
}

textures/ww_town/models/glass1_whisky
{
	qer_editorimage textures/ww_town/models/glass1_whisky.tga
	q3map_forcemeta
	q3map_lightmapsamplesize 20
	q3map_lightmapGamma 1
	q3map_bounce 0
	cull none
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ww_town/models/glass1.tga
		blendFunc filter
		rgbGen identity
	}
}


textures/ww_town/models/swag
{
	cull twosided
	{
		map textures/ww_town/models/swag.tga
		rgbGen lightingdiffuse
	}
}

textures/ww_town/models/pianist_body
{
	cull twosided
	{
		map textures/ww_town/models/pianist_body.tga
		rgbGen lightingdiffuse
	}
}

textures/ww_town/models/pianist_head
{
	cull twosided
	{
		map textures/ww_town/models/pianist_head.tga
		rgbGen lightingdiffuse
	}
}

textures/ww_town/models/pianist_legs
{
	cull twosided
	{
		map textures/ww_town/models/pianist_legs.tga
		rgbGen lightingdiffuse
	}
}




//==========================================================
//==========================================================
// SPECIAL EFFECTS
// THESE MUST BE DISTRIBUTED WITH THE .BSP
//==========================================================
//==========================================================


textures/ww_town/sfx/flame_2500
{
	qer_editorimage ww_gfx/flames/flame1.tga
	nomipmaps
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm nodlight
	surfaceparm trans
	cull none

	{
		animMap 8 ww_gfx/flames/flame1.tga ww_gfx/flames/flame2.tga ww_gfx/flames/flame3.tga ww_gfx/flames/flame4.tga ww_gfx/flames/flame5.tga ww_gfx/flames/flame6.tga ww_gfx/flames/flame7.tga ww_gfx/flames/flame8.tga
//		blendFunc GL_SRC_ALPHA GL_ONE
		blendFunc add 
		rgbGen wave sawtooth 0 1 0 8
	}	
	{
		animMap 8 ww_gfx/flames/flame8.tga ww_gfx/flames/flame1.tga ww_gfx/flames/flame2.tga ww_gfx/flames/flame3.tga ww_gfx/flames/flame4.tga ww_gfx/flames/flame5.tga ww_gfx/flames/flame6.tga ww_gfx/flames/flame7.tga
//		blendFunc GL_SRC_ALPHA GL_ONE
		blendFunc add 
		rgbGen wave inverseSawtooth 0 1 0 8
	}	
}

textures/ww_town/sfx/walllight_off
{
	qer_editorimage textures/ww_town/models/walllight_bulb.tga
	q3map_forcemeta
	q3map_nonplanar 
	q3map_shadeAngle 120
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm nodlight
	surfaceparm trans
	cull none
	{
		map textures/ww_town/models/walllight_bulb.tga
	}
}

textures/ww_town/sfx/walllight_offa
{
	qer_editorimage textures/ww_town/models/walllight_bulb.tga
	q3map_forcemeta
	q3map_nonplanar 
	q3map_shadeAngle 120
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm nodlight
	surfaceparm trans
	cull none
	{
		map textures/ww_town/models/walllight_bulb.tga
		rgbGen vertex
	}
}

textures/ww_town/models/window_bull
{
	qer_editorimage 	textures/ww_town/models/window_bull.tga
	qer_trans 0.5
	surfaceparm pointlight
	cull none
	sort Opaque
	{
		map textures/ww_town/models/window_bull.tga
		blendFunc blend
	}
	{
		map textures/ww_town/sfx/environment1.tga
		tcGen environment
		blendFunc blend
	}
}



//==========================================================
//==========================================================
// WATER
// THESE MUST BE DISTRIBUTED WITH THE .BSP
//==========================================================
//==========================================================
textures/ww_town/water/kb_minepool
{
	qer_editorimage textures/ww_town/water/kb_minepool.tga
	qer_trans .5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	q3map_lightmapGamma 1
	q3map_bounce 1
	cull none
	{
		map textures/ww_town/water/kb_minestream.tga
		blendFunc blend
		tcmod scale 0.3 0.3
		tcmod scroll .03 -.04
		depthWrite
	}
	{
		map textures/ww_town/water/kb_minestream.tga
		blendFunc blend
		tcmod scale 0.3 0.3
		tcmod scroll -.03 .02
		depthWrite
	}
	{
		map $lightmap
		blendFunc filter
		rgbgen identity
	}
}

textures/ww_town/models/stream1
		
{
	qer_editorimage textures/ww_town/models/stream1.tga
	qer_trans .5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm pointlight
	q3map_bounce 1
	q3map_alphaGen const 1.0
	cull none
	{ 
		map textures/ww_town/models/stream1.tga
		blendFunc blend
		tcmod scale .5 .45
		tcmod scroll 0 -.2
		rgbGen vertex
		depthWrite
	}
}


textures/ww_town/water/kb_waterinvis
{
	qer_editorimage textures/ww_town/water/kb_minepool.tga
	qer_trans .5
	surfaceparm water
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
}




//==========================================================
//==========================================================
// SKY SHADERS
// THESE MUST BE DISTRIBUTED WITH THE .BSP
//==========================================================
//==========================================================
textures/ww_town/sky/midday
{
	qer_editorimage textures/ww_town/sky/midday_up.tga
	q3map_lightimage textures/ww_town/sky/sky_light.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm sky
	q3map_sunExt 255 250 240 140 240 55 3 16 
//	q3map_sunExt 1.0 1.0 0.9 140 240 55 2 16
//	q3map_lightmapFilterRadius 0 64
	q3map_skyLight 60 5
	skyparms textures/ww_town/sky/midday - -
	{
		depthWrite
	}
}



//==========================================================
//==========================================================
// TERRAIN
// THESE MUST BE DISTRIBUTED WITH THE .BSP
//==========================================================
//==========================================================
textures/ww_town/terrain_base
{
	q3map_lightmapsamplesize 16
	q3map_lightmapaxis z
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 300 0 0 ) ( 0 300 0 )
	q3map_lightmapGamma 1
	q3map_bounce 1.0
//	q3map_nonplanar 
	q3map_shadeAngle 120
}




textures/ww_town/terrain_0
{
	q3map_baseshader textures/ww_town/terrain_base
	surfaceparm gravelsteps
	{
		map textures/ww_town/ground/kb_ground01.tga
	}
	{
		map $lightmap
		blendFunc filter
		tcGen lightmap
	}
}

textures/ww_town/terrain_1
{
	q3map_baseshader textures/ww_town/terrain_base
	surfaceparm gravelsteps
	{
		map textures/ww_town/ground/kb_ground02.tga
	}
	{
		map $lightmap
		blendFunc filter
		tcGen lightmap
	}
}

textures/ww_town/terrain_2
{
	q3map_baseshader textures/ww_town/terrain_base
	surfaceparm gravelsteps
	{
		map textures/ww_town/ground/town_rock02.tga
	}
	{
		map $lightmap
		blendFunc filter
		tcGen lightmap
	}
}

textures/ww_town/terrain_3
{
	q3map_baseshader textures/ww_town/terrain_base
	surfaceparm gravelsteps
	{
		map textures/ww_town/ground/town_rock01.tga
	}
	{
		map $lightmap
		blendFunc filter
		tcGen lightmap
	}
}

textures/ww_town/terrain_0to1
{
	q3map_baseshader textures/ww_town/terrain_base
	surfaceparm gravelsteps
	{
		map textures/ww_town/ground/kb_ground01.tga
	}
	{
		map textures/ww_town/ground/kb_ground02.tga
		alphaGen vertex
		blendFunc blend
	}
	{
		map $lightmap
		blendFunc filter
		tcGen lightmap
	}
}

textures/ww_town/terrain_0to2
{
	q3map_baseshader textures/ww_town/terrain_base
	surfaceparm gravelsteps
	{
		map textures/ww_town/ground/kb_ground01.tga
	}
	{
		map textures/ww_town/ground/town_rock02.tga
		alphaGen vertex
		blendFunc blend
	}
	{
		map $lightmap
		blendFunc filter
		tcGen lightmap
	}
}

textures/ww_town/terrain_0to3
{
	q3map_baseshader textures/ww_town/terrain_base
	surfaceparm gravelsteps
	{
		map textures/ww_town/ground/kb_ground01.tga
	}
	{
		map textures/ww_town/ground/town_rock01.tga
		alphaGen vertex
		blendFunc blend
	}
	{
		map $lightmap
		blendFunc filter
		tcGen lightmap
	}
}

textures/ww_town/terrain_1to2
{
	q3map_baseshader textures/ww_town/terrain_base
	surfaceparm gravelsteps
	{
		map textures/ww_town/ground/kb_ground02.tga
	}
	{
		map textures/ww_town/ground/town_rock02.tga
		alphaGen vertex
		blendFunc blend
	}
	{
		map $lightmap
		blendFunc filter
		tcGen lightmap
	}
}

textures/ww_town/terrain_1to3
{
	q3map_baseshader textures/ww_town/terrain_base
	surfaceparm gravelsteps
	{
		map textures/ww_town/ground/kb_ground02.tga
	}
	{
		map textures/ww_town/ground/town_rock01.tga
		alphaGen vertex
		blendFunc blend
	}
	{
		map $lightmap
		blendFunc filter
		tcGen lightmap
	}
}

textures/ww_town/terrain_2to3
{
	q3map_baseshader textures/ww_town/terrain_base
	surfaceparm gravelsteps
	{
		map textures/ww_town/ground/town_rock02.tga
	}
	{
		map textures/ww_town/ground/town_rock01.tga
		alphaGen vertex
		blendFunc blend
	}
	{
		map $lightmap
		blendFunc filter
		tcGen lightmap
	}
}



textures/ww_town/hew_terrain1
{
	q3map_lightmapsamplesize 48
	q3map_lightmapaxis z
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 300 0 0 ) ( 0 300 0 )
	q3map_forcemeta
	q3map_alphaMod dotproduct ( 0 0 1 )
	q3map_lightmapGamma 1
	q3map_bounce 1.0
	q3map_nonplanar 
	q3map_shadeAngle 120
	surfaceparm gravelsteps
	qer_editorimage textures/ww_town/ground/kb_ground01.tga
	{
		map textures/ww_town/ground/town_rock01.tga
	}
	{
		map textures/ww_town/ground/kb_ground01.tga
		alphaGen vertex
		blendFunc blend
	}
	{
		map $lightmap
		blendFunc filter
		tcGen lightmap
	}
}
