textures/ww_village/terrain_0
{
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 375 0 0 ) ( 0 375 0 )
	{
		map textures/ww_village/ma_ground02.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/ww_village/terrain.vertex
{
	{
		map textures/ww_village/ma_ground02.tga
		rgbGen vertex
	}
}
textures/ww_village/ma_skybox

{
qer_editorimage textures/ww_village/ma_skybox_rt.tga
surfaceparm noimpact
surfaceparm nomarks
surfaceparm nolightmap
surfaceparm sky
//fogvars ( .66 .5 .37 ) 2675

	//q3map_globaltexture
	//q3map_novertexshadows
	//q3map_forcesunlight
	//q3map_lightsubdivide 256
	//q3map_backsplash 0 0

q3map_sun	1.0 0.86 0.71 80 30 7
q3map_surfacelight 70
skyparms textures/ww_village/ma_skybox - -

}
textures/ww_village/sky_dam_night
{
	nocompress
	qer_editorimage textures/ww_village/nightsky1
	//q3map_lightimage textures/skies/n_blue2.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_globaltexture
	q3map_lightsubdivide 2048 
	q3map_sun	1.0 0.86 0.71 40 315 45
	q3map_surfacelight 40
//	q3map_lightrgb .1 0.1 0.5
	skyparms full 200 -
//	nofog
	sunshader sun

	//fogvars ( .15 .15 .2 ) .0001
	//skyfogvars ( .23 .23 .3 ) .01

	
	{
		map textures/ww_village/nightsky1.tga
	//	tcMod scroll 0.005 0.0005
		tcMod scale 16.0 16.0
		depthWrite
	}
}
textures/ww_village/grass
{
	allowCompress
	qer_editorimage textures/ww_village/grass.tga
	q3map_notjunc
	q3map_nonplanar
	q3map_bounce 0.0
	q3map_fur 6 2 0.15
	//q3map_fur 8 1.25 0.1
	q3map_forcesunlight
	q3map_globaltexture

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nomarks
	nomipmaps
	sort 7
	surfaceparm nolightmap

	{
		map textures/ww_village/grass.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}
textures/ww_village/grassdecal
{
	allowCompress
	qer_editorimage textures/ww_village/grassdecal.tga
	q3map_notjunc
	q3map_nonplanar
	q3map_bounce 0.0
	q3map_fur 12 8 0.4
	//q3map_fur 8 1.25 0.1
	q3map_forcesunlight
	q3map_globaltexture

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nomarks
	nomipmaps
	polygonOffset
	sort 7
	surfaceparm nolightmap

	{
		map textures/ww_village/grassdecal.tga
		blendFunc blend
		rgbGen vertex
		alphaGen vertex
	}
}
textures/ww_village/ma_minepool
{
	qer_editorimage 	textures/ww_village/ma_minepool.tga 
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	cull disable
	   

    {
        map textures/ww_village/ma_minestream.tga
	blendFunc blend
	tcmod scale 0.5 0.5
	tcmod scroll -.06 .01
	depthWrite
	rgbGen vertex
    }
}
textures/ww_battlecreek/ma_waterfog
{	
	qer_editorimage textures/ww_battlecreek/ma_waterfog.tga
        qer_trans 0.3	
	surfaceparm	trans	
	surfaceparm	nonsolid	
	surfaceparm	fog	
	surfaceparm	nolightmap	
	q3map_globaltexture
	q3map_surfacelight 0	
	fogparms ( .35 .32 .22 ) 90
}
textures/ww_village/firstplant
{
	qer_editorimage textures/ww_village/firstplant.tga
	q3map_forcemeta
	q3map_nonplanar
	q3map_forcesunlight
	q3map_bounce 0
	surfaceparm nolightmap
	surfaceparm nomarks
	cull twosided
	{
		map textures/ww_village/firstplant.tga
		alphaFunc GE128	
		rgbGen vertex
	}
}