// Huey these shaders sem to be referenced from the wolfmp.exe,
// So we must keep the shader paths the same (although we can change the actual map paths)

gfx/2d/hudchars
{
	nomipmaps
	{
		map ww_gfx/gfx_hudchars.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen vertex
	}
}

flareShader
{
	nofog
	nopicmip
	cull none
	{
		map ww_gfx/gfx_flare5.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
	}
}

dlightshader 	// this one is the 'default' dlight shader blob
{
	{
		map $dlight
		blendfunc GL_DST_COLOR GL_ONE
	}
}

white
{
	{
		map *white
		blendfunc	GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen vertex
	}
}

projectionShadow
{
	polygonOffset
	deformVertexes projectionShadow
	{
		map			*white
		blendFunc GL_ONE GL_ZERO
		rgbGen wave square 0 0 0 0				// just solid black
	}	
}