// ydnar: antiportal works like hint, but supresses portals
textures/ww_common/antiportal
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm antiportal
}

textures/ww_common/areaportal
{
	qer_trans 0.30
    surfaceparm areaportal
    surfaceparm nodraw
    surfaceparm nomarks
    surfaceparm nonsolid
    surfaceparm structural
    surfaceparm trans
}

textures/ww_common/caulk
{
	//qer_trans 0.7
    surfaceparm nodraw
    surfaceparm nomarks
}

textures/ww_common/caulk_water
{
	qer_trans 0.3
	surfaceparm water
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
}

textures/ww_common/clip
{
    qer_trans 0.3
    surfaceparm nodraw
//    surfaceparm noimpact
    surfaceparm nomarks
//    surfaceparm nonsolid
    surfaceparm playerclip
    surfaceparm trans
}

textures/ww_common/clipweap
{
    //surfaceparm playerclip
    qer_trans 0.3
    surfaceparm nodraw
    surfaceparm nomarks
    surfaceparm trans
}

textures/ww_common/clipmissile
{
	qer_trans 0.3
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm playerclip
	surfaceparm trans
	surfaceparm clipmissile
}

// TESTING MIKE
textures/ww_common/clipshot
{
    qer_trans 0.3
    surfaceparm nodraw
    surfaceparm nomarks
    surfaceparm nonsolid
    surfaceparm clipshot
}
// END TESTING

textures/ww_common/clip_metals
{
    qer_trans 0.3
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm nodraw
	surfaceparm nomarks
//	surfaceparm playerclip
}

textures/ww_common/clip_wood
{
    qer_trans 0.3
	surfaceparm woodsteps
	surfaceparm trans
	surfaceparm nodraw
	surfaceparm nomarks
//	surfaceparm playerclip
}

textures/ww_common/clip_ceramic
{
    qer_trans 0.3
	surfaceparm ceramic
	surfaceparm trans
	surfaceparm nodraw
	surfaceparm nomarks
//	surfaceparm playerclip
}

textures/ww_common/clip_glass
{
    qer_trans 0.3
	surfaceparm glass
	surfaceparm trans
	surfaceparm nodraw
	surfaceparm nomarks
//	surfaceparm playerclip
}

textures/ww_common/cushion
{
    qer_nocarve
    qer_trans 0.5
    surfaceparm nodamage
    surfaceparm nodraw
    surfaceparm nomarks
    surfaceparm trans
}

textures/ww_common/hint
{
    qer_nocarve
    qer_trans 0.2
    surfaceparm nodraw
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm structural
    surfaceparm trans
    surfaceparm hint

}

textures/ww_common/ladder
{
    qer_trans 0.3
    surfaceparm nolightmap
    surfaceparm nodraw
    surfaceparm noimpact
    surfaceparm nomarks
    surfaceparm nonsolid
    surfaceparm playerclip
    surfaceparm ladder
}

textures/ww_common/lightgrid
{
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm detail
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm lightgrid
}

textures/ww_common/nodraw
{
	qer_trans 0.3
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm trans
}

textures/ww_common/nodraw_nonsolid
{
	qer_trans 0.3
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
}

textures/ww_common/origin
{
	qer_nocarve
	qer_trans 0.3
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm origin
}


// ydnar: skip works like quake 2 hint: it doesn't generate bsp splits
// use on sides of hint brushes where you don't want bsp splits or portals
textures/ww_common/skip
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm skip
}

textures/ww_common/slick
{
	qer_trans 0.3
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm slick
	surfaceparm trans
}

textures/ww_common/terrain
{
	q3map_terrain
	surfaceparm grasssteps
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/ww_common/trigger
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
}

// Hewster .. black shader for putting behind twinkles
textures/ww_common/de_twinkle
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_bounce 0
	{
		map textures/ww_common/de_twinkle.tga
		rgbGen vertex
	}
}

textures/ww_common/shadow_clear
{
	surfaceparm nonsolid
	surfaceparm nodlight
	surfaceparm trans
	q3map_bounce 0
	qer_trans 0.9
	{
		map textures/ww_common/blank.tga
		rgbgen identity
		alphaFunc GE128
	}
	{
		map $lightmap
		blendFunc filter
		rgbgen identity
		tcgen lightmap
		alphaFunc GE128
	}
}

textures/ww_common/shadowcast
{
	qer_trans 0.5
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_bounce 0
	{
		map textures/ww_common/blank.tga
		alphaFunc GT0
		alphaGen const 0
	}
}

textures/ww_common/alpha_75
{
	qer_trans 0.5
	q3map_alphaMod volume
	q3map_alphaMod scale 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
}

textures/ww_common/alpha_50
{
	qer_trans 0.5
	q3map_alphaMod volume
	q3map_alphaMod scale 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
}

textures/ww_common/alpha_25
{
	qer_trans 0.5
	q3map_alphaMod volume
	q3map_alphaMod scale 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
}

textures/ww_common/alpha_0
{
	qer_trans 0.5
	q3map_alphaMod volume
	q3map_alphaMod scale 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
}