//============================================================================================================================
//============================================================================================================================

textures/sfx/xflame2_2500_nolick
{
	qer_editorimage ww_gfx/flames/flame1.tga
	nomipmaps
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm trans
	q3map_surfacelight 750
	cull none

	{
		animMap 8 ww_gfx/flames/flame1.tga ww_gfx/flames/flame2.tga ww_gfx/flames/flame3.tga ww_gfx/flames/flame4.tga ww_gfx/flames/flame5.tga ww_gfx/flames/flame6.tga ww_gfx/flames/flame7.tga ww_gfx/flames/flame8.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave sawtooth 0 1 0 8
	}
	{
		animMap 8 ww_gfx/flames/flame8.tga ww_gfx/flames/flame1.tga ww_gfx/flames/flame2.tga ww_gfx/flames/flame3.tga ww_gfx/flames/flame4.tga ww_gfx/flames/flame5.tga ww_gfx/flames/flame6.tga ww_gfx/flames/flame7.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 8
	}
}

textures/wildwest_villa/barrelA
{
	qer_editorimage 	textures/wildwest_villa/barrel.tga
	q3map_bounce 0
	cull disable
	{
		map textures/wildwest_villa/barrel.tga
		rgbGen vertex
	}
}


textures/ww_plants/reeds01A
{
	qer_editorimage textures/ww_town/models/reeds01.tga
	surfaceparm alphashadow
	cull twosided
	q3map_bounce 0
	q3map_forcesunlight
	{
		map textures/ww_town/models/reeds01.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}


textures/ww_plants/reeds02A
{
	qer_editorimage textures/ww_town/models/reeds02.tga
	surfaceparm alphashadow
	cull twosided
	q3map_bounce 0
	q3map_forcesunlight
	{
		map textures/ww_town/models/reeds02.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}


textures/wildwest_villa/dark_wood02A
{
	qer_editorimage 	textures/wildwest_villa/dark_wood02.tga
	q3map_bounce 0
	cull none
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wildwest_villa/dark_wood02.tga
		blendFunc filter
		rgbGen identity
	}
}


textures/wildwest_villa/vase_orange
{
	qer_editorimage 	textures/wildwest_villa/vase_orange.tga
	q3map_bounce 0
	cull none
	{
		map textures/wildwest_villa/vase_orange.tga
		rgbGen vertex
	}
}

textures/wildwest_villa/vase_decorated
{
	qer_editorimage 	textures/wildwest_villa/vase_decorated.tga
	q3map_bounce 0
	cull none
	{
		map textures/wildwest_villa/vase_decorated.tga
		rgbGen vertex
	}
}

textures/wildwest_villa/vase_red
{
	qer_editorimage 	textures/wildwest_villa/vase_red.tga
	q3map_bounce 0
	cull none
	{
		map textures/wildwest_villa/vase_red.tga
		rgbGen vertex
	}
}


textures/wildwest_villa/stoney_soilA
{
	qer_editorimage 	textures/wildwest_villa/stoney_soil.tga
	polygonOffset
	entityMergable
	{
		map textures/wildwest_villa/stoney_soil.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}


textures/wildwest_villa/villa_skybox

{
qer_editorimage textures/wildwest_villa/villa_skybox_rt.tga
	nomipmaps
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun	1.0 0.86 0.71 120 240 45
	q3map_surfacelight 80
	skyparms textures/wildwest_villa/villa_skybox - -

}

textures/sfx/fog_crypt
{
	qer_editorimage textures/ww_canyon/kc_fogcloud3.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	q3map_globaltexture
	q3map_surfacelight 1
	fogparms ( .2 .2 .2 ) 384
	{
		map textures/ww_canyon/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/ww_canyon/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}

textures/sfx/c_flame_10
{
	deformVertexes autoSprite2
	surfaceparm nomarks
	surfaceparm nolightmap
	nomipmaps
	cull none
	q3map_surfacelight 10
	qer_editorimage ww_gfx/flames/hew1_flame1.tga

	{
		animMap 8 ww_gfx/flames/hew1_flame1.tga ww_gfx/flames/hew1_flame2.tga ww_gfx/flames/hew1_flame3.tga ww_gfx/flames/hew1_flame4.tga ww_gfx/flames/hew1_flame5.tga ww_gfx/flames/hew1_flame6.tga ww_gfx/flames/hew1_flame7.tga ww_gfx/flames/hew1_flame8.tga


		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave sawtooth 0 1 0 6
	}
	{
		animMap 8 ww_gfx/flames/hew1_flame8.tga ww_gfx/flames/hew1_flame1.tga ww_gfx/flames/hew1_flame2.tga ww_gfx/flames/hew1_flame3.tga ww_gfx/flames/hew1_flame4.tga ww_gfx/flames/hew1_flame5.tga ww_gfx/flames/hew1_flame6.tga ww_gfx/flames/hew1_flame7.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 6
	}
	{
		map ww_gfx/flames/hew1_flameball.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave sin .6 .2 0 .6
	}
}

textures/wildwest_villa/metal_bumpyA
{
	qer_editorimage 	textures/wildwest_villa/metal_bumpy.tga
	q3map_bounce 0
	cull none
	{
		map textures/wildwest_villa/metal_bumpy.tga
		rgbGen vertex
	}
}


textures/wildwest_villa/tablecloth_edgeA
{
	qer_editorimage 	textures/wildwest_villa/tablecloth_edge.tga
	q3map_bounce 0
	cull none
	{
		map textures/wildwest_villa/tablecloth_edge.tga
		alphaFunc GE128
		rgbGen vertex
	}
}


textures/ww_plants/tall_yellowa
{
	qer_editorimage 	textures/ww_plants/tall_yellow.tga
	surfaceparm alphashadow
	q3map_bounce 0
	cull none

	{
		map textures/ww_plants/tall_yellow.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}


textures/cowboys/kb_metal2
{
	qer_editorimage 	textures/cowboys/kb_metal2.tga
	cull none
	{
		map textures/cowboys/kb_metal2.tga
		rgbGen vertex
	}
}

textures/wildwest_villa/lanternba
{
	qer_editorimage 	textures/wildwest_villa/lanternb.tga
	q3map_bounce 0
	cull none
	{
		map textures/wildwest_villa/lanternb.tga
		rgbGen vertex
		depthwrite
	}
}

textures/ww_plants/century_leaf
{
	qer_editorimage 	textures/ww_plants/century_leaf.tga
	q3map_bounce 0
	cull none
	{
		map textures/ww_plants/century_leaf.tga
		rgbGen vertex
	}
}

textures/ww_plants/apple_branchA
{
	qer_editorimage 	textures/ww_plants/apple_branch.tga
	surfaceparm alphashadow
	q3map_bounce 0
	cull none
	{
		map textures/ww_plants/apple_branch.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/ww_plants/pond_plantA
{
	qer_editorimage 	textures/ww_plants/pond_plant.tga
	surfaceparm alphashadow
	q3map_bounce 0
	cull twosided

	{
		map textures/ww_plants/pond_plant.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/ww_plants/bushd
{
	qer_editorimage 	textures/ww_plants/bushd.tga
	surfaceparm alphashadow
	cull twosided
	q3map_bounce 0
	{
		map textures/ww_plants/bushd.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}


textures/wildwest_villa/whicker_basket
{
	qer_editorimage 	textures/wildwest_villa/whicker_basket.tga
	q3map_bounce 0
	cull none
	{
	map textures/wildwest_villa/whicker_basket.tga
	rgbGen vertex
	}
}

textures/wildwest_villa/lanterna
{
	qer_editorimage 	textures/wildwest_villa/lantern.tga
	q3map_bounce 0
	cull none
	{
	map textures/wildwest_villa/lantern.tga
	blendFunc blend
	depthWrite
	rgbGen vertex
	}
}


textures/wildwest_villa/poshchair_backA
{
	qer_editorimage 	textures/wildwest_villa/poshchair_back.tga
	q3map_bounce 0
	cull none
	{
	map textures/wildwest_villa/poshchair_back.tga
	alphaFunc GE128
	rgbGen vertex
	}
}


textures/wildwest_villa/pondA
{
	qer_editorimage 	textures/wildwest_villa/pond.tga
	qer_trans .5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable


    {
	map textures/wildwest_villa/pond.tga
	blendFunc blend
	tcmod scale 0.5 0.5
	tcmod scroll .05 -.06
	rgbGen vertex
    }
}


textures/wildwest_villa/pants
{
	qer_editorimage 	textures/wildwest_villa/pants.tga
	q3map_bounce 0
	surfaceparm nonsolid
	cull none
	{
	map textures/wildwest_villa/pants.tga
	alphaFunc GE128
	rgbGen vertex
	}
}


textures/cowboys/kb_flagred
{
	qer_editorimage textures/cowboys/kb_flagred.tga
	nomipmaps
	//qer_trans .5
	q3map_globaltexture
	surfaceparm nonsolid
	tesssize 4
	deformVertexes wave 64 sin 0 3 3 0.6
	cull disable
	{
		map textures/cowboys/kb_flagred.tga
		rgbgen identity
	}
}

textures/cowboys/kb_flagyellow
{
	qer_editorimage textures/cowboys/kb_flagyellow.tga
	nomipmaps
	//qer_trans .5
	q3map_globaltexture
	surfaceparm nonsolid
	tesssize 4
	deformVertexes wave 64 sin 0 3 3 0.6
	cull disable
	{
		map textures/cowboys/kb_flagyellow.tga
		rgbgen identity
	}
}

textures/cowboys/kb_flaggreen
{
	qer_editorimage textures/cowboys/kb_flaggreen.tga
	nomipmaps
	//qer_trans .5
	q3map_globaltexture
	surfaceparm nonsolid
	tesssize 4
	deformVertexes wave 64 sin 0 3 3 0.6
	cull disable
	{
		map textures/cowboys/kb_flaggreen.tga
		rgbgen identity
	}
}



