//==========================================================
//==========================================================
//  SHADERS IN THIS FILE MUST BE DISTRIBUTED WITH BSP
//==========================================================
//==========================================================




//==========================================================
//==========================================================
// FIRST SECTION ARE SHADERS WITH ALPHA CHANNELS
//==========================================================
//==========================================================
textures/ww_mine/alpha/fire_ash
{
	qer_editorimage textures/ww_mine/alpha/fire_ash.tga
	q3map_forcemeta
	q3map_lightmapsamplesize 20
	q3map_lightmapGamma 1
	q3map_bounce 0
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
    {
        map textures/ww_mine/alpha/fire_ash.tga  
		alphaFunc GE128	
		depthWrite
        rgbGen vertex
    }
}


textures/ww_mine/alpha/kb_bridgetruss
{
	qer_editorimage textures/ww_mine/alpha/kb_bridgetruss.tga
	qer_trans 0.5
	surfaceparm alphashadow
	surfaceparm nomarks
	q3map_lightmapsamplesize 12
	q3map_bounce 0

	cull none
	{
		map textures/ww_mine/alpha/kb_bridgetruss.tga
		rgbgen identity
		alphaFunc GE128
	}
	{
		map $lightmap
		blendFunc filter
		rgbgen identity
		alphaFunc GE128
	}
}

//textures/ww_mine/alpha/kb_bridgetruss
//{
//	qer_editorimage textures/ww_mine/alpha/kb_bridgetruss.tga
//	qer_trans 0.5
//	surfaceparm alphashadow
//	surfaceparm nomarks
//	surfaceparm pointlight
//	q3map_bounce 0
//	q3map_forcesunlight
//	cull none
//	{
//		map textures/ww_mine/alpha/kb_bridgetruss.tga
//		alphaFunc GE128
//		depthWrite
//		rgbGen vertex
//	}
//}


textures/ww_mine/alpha/kb_vulture
{
	qer_editorimage textures/ww_mine/alpha/kb_vulture.tga
	surfaceparm pointlight
	surfaceparm nomarks
	q3map_bounce 0
	{
		map textures/ww_mine/alpha/kb_vulture.tga
		alphaFunc GE128
		depthWrite
	}
}


textures/ww_mine/alpha/hut_window
{
	qer_editorimage textures/ww_mine/alpha/hut_window.tga
	qer_trans 0.5
	surfaceparm pointlight
	surfaceparm trans
	sort banner
	{
		map textures/ww_mine/alpha/hut_window.tga
		blendFunc blend
	}
}





//////////////////////////////////////////////////////////////////////////////
// MODEL ALPHAS AND DYNAMIC
//////////////////////////////////////////////////////////////////////////////
textures/ww_mine/models/chair1_wood2
{
	qer_editorimage textures/ww_mine/models/chair1_wood2.tga
	q3map_forcemeta
	q3map_lightmapsamplesize 20
	q3map_lightmapGamma 1
	q3map_bounce 0
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	{
		map textures/ww_mine/models/chair1_wood2.tga
		rgbgen identity
		alphaFunc GE128
	}
	{
		map $lightmap
		blendFunc filter
		rgbgen identity
		alphaFunc GE128
	}
}


textures/ww_mine/models/fire_ash
{
	qer_editorimage textures/ww_mine/models/fire_ash.tga
	q3map_forcemeta
	q3map_bounce 0
	surfaceparm nolightmap
    {
        map textures/ww_mine/models/fire_ash.tga  
		alphaFunc GE128	
		depthWrite
        rgbGen vertex
    }
}


textures/ww_mine/models/minestream
{
	qer_editorimage textures/ww_mine/models/minestream.tga
	qer_trans .5
	q3map_globaltexture
	q3map_bounce 0
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	tesssize 80
	deformVertexes wave 32 sin 0 1 .75 .5
	cull disable
	{ 
		map textures/ww_mine/models/minestream.tga
		blendFunc blend
		rgbgen vertex
		tcmod scale .5 .45
		tcmod scroll 0 -.5
	}
	{ 
		map textures/ww_mine/models/minestream.tga
		blendFunc blend
		rgbgen vertex
		tcmod scale .5 .5
		tcmod scroll 0 -.3
	}
}


textures/ww_mine/models/reeds01
{
	qer_editorimage textures/ww_mine/models/reeds01.tga
	q3map_forcemeta
	q3map_bounce 0
	surfaceparm alphashadow
	surfaceparm nolightmap
	cull none
	{
		map textures/ww_mine/models/reeds01.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/ww_mine/models/reeds02
{
	qer_editorimage textures/ww_mine/models/reeds02.tga
	q3map_forcemeta
	q3map_bounce 0
	surfaceparm alphashadow
	surfaceparm nolightmap
	cull none
	{
		map textures/ww_mine/models/reeds02.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}


textures/ww_mine/models/torch_floor_grill
{
	qer_editorimage textures/ww_mine/models/torch_floor_grill.tga
	q3map_forcemeta
	q3map_bounce 0
	surfaceparm alphashadow
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	{
		map textures/ww_mine/models/torch_floor_grill.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}



textures/ww_mine/models/wagon_wheel
{
	qer_editorimage textures/ww_mine/models/wagon_wheel.tga
	cull none
	{
		map textures/ww_mine/models/wagon_wheel.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex

	}
}


textures/ww_mine/models/gold
{
	{
		map textures/ww_mine/models/gold.tga
		tcgen environment
		rgbGen lightingDiffuse
	}
}



//==========================================================
//==========================================================
// SPECIAL CASE SHADERS, LIKE NO-CULL
// THESE MUST BE DISTRIBUTED WITH THE .BSP
//==========================================================
//==========================================================
textures/ww_mine/models/pot_metal
{
	qer_editorimage textures/ww_mine/models/pot_metal.tga
	q3map_forcemeta
	q3map_lightmapsamplesize 20
	q3map_lightmapGamma 1
	q3map_bounce 0
	cull none
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ww_mine/models/pot_metal.tga
		blendFunc filter
		rgbGen identity
	}
}




//==========================================================
//==========================================================
// SPECIAL EFFECTS
// THESE MUST BE DISTRIBUTED WITH THE .BSP
//==========================================================
//==========================================================
textures/ww_mine/sfx/torch_flame
{
	qer_editorimage textures/ww_mine/sfx/torch_flame1.tga
	nomipmaps
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm nodlight
	surfaceparm trans
	cull none

	{
		animMap 8 textures/ww_mine/sfx/torch_flame1.tga textures/ww_mine/sfx/torch_flame2.tga textures/ww_mine/sfx/torch_flame3.tga textures/ww_mine/sfx/torch_flame4.tga textures/ww_mine/sfx/torch_flame5.tga textures/ww_mine/sfx/torch_flame6.tga textures/ww_mine/sfx/torch_flame7.tga textures/ww_mine/sfx/torch_flame8.tga
		blendFunc add 
		rgbGen wave sawtooth 0 1 0 8
	}	
	{
		animMap 8 textures/ww_mine/sfx/torch_flame8.tga textures/ww_mine/sfx/torch_flame1.tga textures/ww_mine/sfx/torch_flame2.tga textures/ww_mine/sfx/torch_flame3.tga textures/ww_mine/sfx/torch_flame4.tga textures/ww_mine/sfx/torch_flame5.tga textures/ww_mine/sfx/torch_flame6.tga textures/ww_mine/sfx/torch_flame7.tga
		blendFunc add 
		rgbGen wave inverseSawtooth 0 1 0 8
	}	
}



textures/ww_mine/sfx/smoke_base
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
}

textures/ww_mine/sfx/fire_smoke_1
{
	qer_editorimage textures/ww_mine/sfx/fire_smoke.tga
	q3map_baseshader textures/ww_mine/sfx/smoke_base
	deformvertexes autosprite
	cull none
	deformvertexes move 67.708061 5.383121 417.061584 sawtooth 0 1 0.860958 0.166984
	{
		clampmap 	textures/ww_mine/sfx/fire_smoke.tga
		AlphaGen 	wave 	sawtooth 1.000000 -1.000000 0.860958 0.166984
		rgbGen 		wave 	sawtooth 0.500000 -0.500000 0.860958 0.166984
		tcMod 		stretch sawtooth 1.000000 0.000000 0.860958 0.166984
		tcMod 		rotate 	0.000000
		blendfunc 	blend
	}
}

textures/ww_mine/sfx/fire_smoke_2
{
	qer_editorimage textures/ww_mine/sfx/fire_smoke.tga
	q3map_baseshader textures/ww_mine/sfx/smoke_base
	deformvertexes autosprite
	cull none
	deformvertexes move 22.870647 -19.041565 305.567474 sawtooth 0 1 -0.975402 0.226950
	{
		clampmap 	textures/ww_mine/sfx/fire_smoke.tga
		AlphaGen 	wave 	sawtooth 1.000000 -1.000000 -0.975402 0.226950
		rgbGen 		wave 	sawtooth 0.500000 -0.500000 -0.975402 0.226950
		tcMod 		stretch sawtooth 1.000000 0.000000 -0.975402 0.226950
		tcMod 		rotate 0.000000
		blendfunc 	blend
	}
}

textures/ww_mine/sfx/fire_smoke_3
{
	qer_editorimage textures/ww_mine/sfx/fire_smoke.tga
	q3map_baseshader textures/ww_mine/sfx/smoke_base
	deformvertexes autosprite
	cull none
	deformvertexes move 4.118179 -20.838541 466.920593 sawtooth 0 1 -0.007538 0.150567
	{
		clampmap 	textures/ww_mine/sfx/fire_smoke.tga
		AlphaGen 	wave 	sawtooth 1.000000 -1.000000 -0.007538 0.150567
		rgbGen 		wave 	sawtooth 0.500000 -0.500000 -0.007538 0.150567
		tcMod 		stretch sawtooth 1.000000 0.000000 -0.007538 0.150567
		tcMod 		rotate 0.000000
		blendfunc 	blend
	}
}

textures/ww_mine/sfx/fire_smoke_4
{
	qer_editorimage textures/ww_mine/sfx/fire_smoke.tga
	q3map_baseshader textures/ww_mine/sfx/smoke_base
	deformvertexes autosprite
	cull none
	deformvertexes move 14.051936 52.134239 327.454559 sawtooth 0 1 0.286477 0.208092
	{
		clampmap 	textures/ww_mine/sfx/fire_smoke.tga
		AlphaGen 	wave 	sawtooth 1.000000 -1.000000 0.286477 0.208092
		rgbGen 		wave 	sawtooth 0.500000 -0.500000 0.286477 0.208092
		tcMod 		stretch sawtooth 1.000000 0.000000 0.286477 0.208092
		tcMod 		rotate 0.000000
		blendfunc 	blend
	}
}

textures/ww_mine/sfx/fire_smoke_5
{
	qer_editorimage textures/ww_mine/sfx/fire_smoke.tga
	q3map_baseshader textures/ww_mine/sfx/smoke_base
	deformvertexes autosprite
	cull none
	deformvertexes move -9.317709 -1.901342 308.628815 sawtooth 0 1 -0.231727 0.227176
	{
		clampmap 	textures/ww_mine/sfx/fire_smoke.tga
		AlphaGen 	wave 	sawtooth 1.000000 -1.000000 -0.231727 0.227176
		rgbGen 		wave 	sawtooth 0.500000 -0.500000 -0.231727 0.227176
		tcMod 		stretch sawtooth 1.000000 0.000000 -0.231727 0.227176
		tcMod 		rotate 0.000000
		blendfunc 	blend
	}
}

textures/ww_mine/sfx/fire_smoke_6
{
	qer_editorimage textures/ww_mine/sfx/fire_smoke.tga
	q3map_baseshader textures/ww_mine/sfx/smoke_base
	deformvertexes autosprite
	cull none
	deformvertexes move 16.483257 11.537322 405.699982 sawtooth 0 1 -0.062899 0.175959
	{
		clampmap 	textures/ww_mine/sfx/fire_smoke.tga
		AlphaGen 	wave 	sawtooth 1.000000 -1.000000 -0.062899 0.175959
		rgbGen 		wave 	sawtooth 0.500000 -0.500000 -0.062899 0.175959
		tcMod 		stretch sawtooth 1.000000 0.000000 -0.062899 0.175959
		tcMod 		rotate 0.000000
		blendfunc 	blend
	}
}

textures/ww_mine/sfx/fire_smoke_7
{
	qer_editorimage textures/ww_mine/sfx/fire_smoke.tga
	q3map_baseshader textures/ww_mine/sfx/smoke_base
	deformvertexes autosprite
	cull none
	deformvertexes move 33.043114 4.337992 350.272491 sawtooth 0 1 0.960692 0.200941
	{
		clampmap 	textures/ww_mine/sfx/fire_smoke.tga
		AlphaGen 	wave 	sawtooth 1.000000 -1.000000 0.960692 0.200941
		rgbGen 		wave 	sawtooth 0.500000 -0.500000 0.960692 0.200941
		tcMod 		stretch sawtooth 1.000000 0.000000 0.960692 0.200941
		tcMod 		rotate 0.000000
		blendfunc 	blend
	}
}

textures/ww_mine/sfx/fire_smoke_8
{
	qer_editorimage textures/ww_mine/sfx/fire_smoke.tga
	q3map_baseshader textures/ww_mine/sfx/smoke_base
	deformvertexes autosprite
	cull none
	deformvertexes move 16.422844 12.018965 394.802948 sawtooth 0 1 0.923399 0.174378
	{
		clampmap 	textures/ww_mine/sfx/fire_smoke.tga
		AlphaGen 	wave 	sawtooth 1.000000 -1.000000 0.923399 0.174378
		rgbGen 		wave 	sawtooth 0.500000 -0.500000 0.923399 0.174378
		tcMod 		stretch sawtooth 1.000000 0.000000 0.923399 0.174378
		tcMod 		rotate 0.000000
		blendfunc 	blend
	}
}

textures/ww_mine/sfx/fire_smoke_9
{
	qer_editorimage textures/ww_mine/sfx/fire_smoke.tga
	q3map_baseshader textures/ww_mine/sfx/smoke_base
	deformvertexes autosprite
	cull none
	deformvertexes move -12.654704 55.090733 419.073242 sawtooth 0 1 0.753716 0.167544
	{
		clampmap 	textures/ww_mine/sfx/fire_smoke.tga
		AlphaGen 	wave 	sawtooth 1.000000 -1.000000 0.753716 0.167544
		rgbGen 		wave 	sawtooth 0.500000 -0.500000 0.753716 0.167544
		tcMod 		stretch sawtooth 1.000000 0.000000 0.753716 0.167544
		tcMod 		rotate 0.000000
		blendfunc blend
	}
}

textures/ww_mine/sfx/fire_smoke_10
{
	qer_editorimage textures/ww_mine/sfx/fire_smoke.tga
	q3map_baseshader textures/ww_mine/sfx/smoke_base
	deformvertexes autosprite
	cull none
	deformvertexes move 35.474144 43.940434 412.969116 sawtooth 0 1 0.146458 0.166672
	{
		clampmap 	textures/ww_mine/sfx/fire_smoke.tga
		AlphaGen 	wave 	sawtooth 1.000000 -1.000000 0.146458 0.166672
		rgbGen 		wave 	sawtooth 0.500000 -0.500000 0.146458 0.166672
		tcMod 		stretch sawtooth 1.000000 0.000000 0.146458 0.166672
		tcMod 		rotate 0.000000
		blendfunc 	blend
	}
}

textures/ww_mine/sfx/fire_smoke_11
{
	qer_editorimage textures/ww_mine/sfx/fire_smoke.tga
	q3map_baseshader textures/ww_mine/sfx/smoke_base
	deformvertexes autosprite
	cull none
	deformvertexes move 6.678667 -53.639637 540.389893 sawtooth 0 1 0.599658 0.132279
	{
		clampmap 	textures/ww_mine/sfx/fire_smoke.tga
		AlphaGen 	wave 	sawtooth 1.000000 -1.000000 0.599658 0.132279
		rgbGen 		wave 	sawtooth 0.500000 -0.500000 0.599658 0.132279
		tcMod 		stretch sawtooth 1.000000 0.000000 0.599658 0.132279
		blendfunc 	blend
	}
}

textures/ww_mine/sfx/fire_smoke_12
{
	qer_editorimage textures/ww_mine/sfx/fire_smoke.tga
	q3map_baseshader textures/ww_mine/sfx/smoke_base
	deformvertexes autosprite
	cull none
	deformvertexes move 25.430956 -37.901112 385.960388 sawtooth 0 1 -0.301126 0.181113
	{
		clampmap 	textures/ww_mine/sfx/fire_smoke.tga
		AlphaGen 	wave 	sawtooth 1.000000 -1.000000 -0.301126 0.181113
		rgbGen 		wave 	sawtooth 0.500000 -0.500000 -0.301126 0.181113
		tcMod 		stretch sawtooth 1.000000 0.000000 -0.301126 0.181113
		tcMod 		rotate 0.000000
		blendfunc 	blend
	}
}

textures/ww_mine/sfx/fire_smoke_13
{
	qer_editorimage textures/ww_mine/sfx/fire_smoke.tga
	q3map_baseshader textures/ww_mine/sfx/smoke_base
	deformvertexes autosprite
	cull none
	deformvertexes move 36.215530 -11.754862 444.933960 sawtooth 0 1 -0.155980 0.152459
	{
		clampmap 	textures/ww_mine/sfx/fire_smoke.tga
		AlphaGen 	wave 	sawtooth 1.000000 -1.000000 -0.155980 0.152459
		rgbGen 		wave 	sawtooth 0.500000 -0.500000 -0.155980 0.152459
		tcMod 		stretch sawtooth 1.000000 0.000000 -0.155980 0.152459
		tcMod 		rotate 0.000000
		blendfunc 	blend
	}
}

textures/ww_mine/sfx/fire_smoke_14
{
	qer_editorimage textures/ww_mine/sfx/fire_smoke.tga
	q3map_baseshader textures/ww_mine/sfx/smoke_base
	deformvertexes autosprite
	cull none
	deformvertexes move 21.614731 21.252026 498.018188 sawtooth 0 1 -0.832026 0.136309
	{
		clampmap 	textures/ww_mine/sfx/fire_smoke.tga
		AlphaGen 	wave 	sawtooth 1.000000 -1.000000 -0.832026 0.136309
		rgbGen 		wave 	sawtooth 0.500000 -0.500000 -0.832026 0.136309
		tcMod 		stretch sawtooth 1.000000 0.000000 -0.832026 0.136309
		tcMod 		rotate 0.000000
		blendfunc 	blend
	}
}

textures/ww_mine/sfx/fire_smoke_15
{
	qer_editorimage textures/ww_mine/sfx/fire_smoke.tga
	q3map_baseshader textures/ww_mine/sfx/smoke_base
	deformvertexes autosprite
	cull none
	deformvertexes move 4.098828 5.018704 433.666229 sawtooth 0 1 0.808283 0.157428
	{
		clampmap 	textures/ww_mine/sfx/fire_smoke.tga
		AlphaGen 	wave 	sawtooth 1.000000 -1.000000 0.808283 0.157428
		rgbGen 		wave 	sawtooth 0.500000 -0.500000 0.808283 0.157428
		tcMod 		stretch sawtooth 1.000000 0.000000 0.808283 0.157428
		tcMod 		rotate 0.000000
		blendfunc 	blend
	}
}

textures/ww_mine/sfx/fire_smoke_16
{
	qer_editorimage textures/ww_mine/sfx/fire_smoke.tga
	q3map_baseshader textures/ww_mine/sfx/smoke_base
	deformvertexes autosprite
	cull none
	deformvertexes move -11.747786 -11.915110 501.554688 sawtooth 0 1 -0.947630 0.140887
	{
		clampmap 	textures/ww_mine/sfx/fire_smoke.tga
		AlphaGen 	wave 	sawtooth 1.000000 -1.000000 -0.947630 0.140887
		rgbGen 		wave 	sawtooth 0.500000 -0.500000 -0.947630 0.140887
		tcMod 		stretch sawtooth 1.000000 0.000000 -0.947630 0.140887
		tcMod 		rotate 0.000000
		blendfunc 	blend
	}
}

textures/ww_mine/sfx/fire_smoke_17
{
	qer_editorimage textures/ww_mine/sfx/fire_smoke.tga
	q3map_baseshader textures/ww_mine/sfx/smoke_base
	deformvertexes autosprite
	cull none
	deformvertexes move -5.272765 7.096405 300.655273 sawtooth 0 1 -0.538011 0.230806
	{
		clampmap 	textures/ww_mine/sfx/fire_smoke.tga
		AlphaGen 	wave 	sawtooth 1.000000 -1.000000 -0.538011 0.230806
		rgbGen 		wave 	sawtooth 0.500000 -0.500000 -0.538011 0.230806
		tcMod 		stretch sawtooth 1.000000 0.000000 -0.538011 0.230806
		tcMod 		rotate 0.000000
		blendfunc 	blend
	}
}

textures/ww_mine/sfx/fire_smoke_18
{
	qer_editorimage textures/ww_mine/sfx/fire_smoke.tga
	q3map_baseshader textures/ww_mine/sfx/smoke_base
	deformvertexes autosprite
	cull none
	deformvertexes move -23.273251 -3.583605 521.278625 sawtooth 0 1 -0.798456 0.135260
	{
		clampmap 	textures/ww_mine/sfx/fire_smoke.tga
		AlphaGen 	wave 	sawtooth 1.000000 -1.000000 -0.798456 0.135260
		rgbGen 		wave 	sawtooth 0.500000 -0.500000 -0.798456 0.135260
		tcMod 		stretch sawtooth 1.000000 0.000000 -0.798456 0.135260
		tcMod 		rotate 0.000000
		blendfunc 	blend
	}
}

textures/ww_mine/sfx/fire_smoke_19
{
	qer_editorimage textures/ww_mine/sfx/fire_smoke.tga
	q3map_baseshader textures/ww_mine/sfx/smoke_base
	deformvertexes autosprite
	cull none
	deformvertexes move 0.243607 11.547729 446.914642 sawtooth 0 1 -0.336039 0.153888
	{
		clampmap 	textures/ww_mine/sfx/fire_smoke.tga
		AlphaGen 	wave 	sawtooth 1.000000 -1.000000 -0.336039 0.153888
		rgbGen 		wave 	sawtooth 0.500000 -0.500000 -0.336039 0.153888
		tcMod 		stretch sawtooth 1.000000 0.000000 -0.336039 0.153888
		tcMod 		rotate 0.000000
		blendfunc 	blend
	}
}

textures/ww_mine/sfx/fire_smoke_20
{
	qer_editorimage textures/ww_mine/sfx/fire_smoke.tga
	q3map_baseshader textures/ww_mine/sfx/smoke_base
	deformvertexes autosprite
	cull none
	deformvertexes move -35.187263 -46.411510 380.999451 sawtooth 0 1 -0.664541 0.185842
	{
		clampmap 	textures/ww_mine/sfx/fire_smoke.tga
		AlphaGen 	wave 	sawtooth 1.000000 -1.000000 -0.664541 0.185842
		rgbGen 		wave 	sawtooth 0.500000 -0.500000 -0.664541 0.185842
		tcMod 		stretch sawtooth 1.000000 0.000000 -0.664541 0.185842
		tcMod 		rotate 0.000000
		blendfunc 	blend
	}
}

textures/ww_mine/sfx/fire_smoke_21
{
	qer_editorimage textures/ww_mine/sfx/fire_smoke.tga
	q3map_baseshader textures/ww_mine/sfx/smoke_base
	deformvertexes autosprite
	cull none
	deformvertexes move -0.710326 -2.333501 320.905914 sawtooth 0 1 0.453658 0.219712
	{
		clampmap 	textures/ww_mine/sfx/fire_smoke.tga
		AlphaGen 	wave 	sawtooth 1.000000 -1.000000 0.453658 0.219712
		rgbGen 		wave 	sawtooth 0.500000 -0.500000 0.453658 0.219712
		tcMod 		stretch sawtooth 1.000000 0.000000 0.453658 0.219712
		tcMod 		rotate 0.000000
		blendfunc 	blend
	}
}

textures/ww_mine/sfx/fire_smoke_22
{
	qer_editorimage textures/ww_mine/sfx/fire_smoke.tga
	q3map_baseshader textures/ww_mine/sfx/smoke_base
	deformvertexes autosprite
	cull none
	deformvertexes move -11.692075 -40.432892 300.231659 sawtooth 0 1 0.372967 0.234492
	{
		clampmap 	textures/ww_mine/sfx/fire_smoke.tga
		AlphaGen 	wave 	sawtooth 1.000000 -1.000000 0.372967 0.234492
		rgbGen 		wave 	sawtooth 0.500000 -0.500000 0.372967 0.234492
		tcMod 		stretch sawtooth 1.000000 0.000000 0.372967 0.234492
		tcMod 		rotate 0.000000
		blendfunc 	blend
	}
}

textures/ww_mine/sfx/fire_smoke_23
{
	qer_editorimage textures/ww_mine/sfx/fire_smoke.tga
	q3map_baseshader textures/ww_mine/sfx/smoke_base
	deformvertexes autosprite
	cull none
	deformvertexes move 47.389034 26.891567 324.728729 sawtooth 0 1 -0.711844 0.218266
	{
		clampmap 	textures/ww_mine/sfx/fire_smoke.tga
		AlphaGen 	wave 	sawtooth 1.000000 -1.000000 -0.711844 0.218266
		rgbGen 		wave 	sawtooth 0.500000 -0.500000 -0.711844 0.218266
		tcMod 		stretch sawtooth 1.000000 0.000000 -0.711844 0.218266
		tcMod 		rotate 0.000000
		blendfunc 	blend
	}
}

textures/ww_mine/sfx/fire_smoke_24
{
	qer_editorimage textures/ww_mine/sfx/fire_smoke.tga
	q3map_baseshader textures/ww_mine/sfx/smoke_base
	deformvertexes autosprite
	cull none
	deformvertexes move -48.535664 23.675245 327.673035 sawtooth 0 1 0.758599 0.207928
	{
		clampmap 	textures/ww_mine/sfx/fire_smoke.tga
		AlphaGen 	wave 	sawtooth 1.000000 -1.000000 0.758599 0.207928
		rgbGen 		wave 	sawtooth 0.500000 -0.500000 0.758599 0.207928
		tcMod 		stretch sawtooth 1.000000 0.000000 0.758599 0.207928
		tcMod 		rotate 0.000000
		blendfunc 	blend
	}
}

textures/ww_mine/sfx/fire_smoke_25
{
	qer_editorimage textures/ww_mine/sfx/fire_smoke.tga
	q3map_baseshader textures/ww_mine/sfx/smoke_base
	deformvertexes autosprite
	cull none
	deformvertexes move 19.867546 0.496312 324.973999 sawtooth 0 1 -0.317728 0.213471
	{
		clampmap 	textures/ww_mine/sfx/fire_smoke.tga
		AlphaGen 	wave 	sawtooth 1.000000 -1.000000 -0.317728 0.213471
		rgbGen 		wave 	sawtooth 0.500000 -0.500000 -0.317728 0.213471
		tcMod 		stretch sawtooth 1.000000 0.000000 -0.317728 0.213471
		tcMod 		rotate 0.000000
		blendfunc 	blend
	}
}

textures/ww_mine/sfx/fire_smoke_26
{
	qer_editorimage textures/ww_mine/sfx/fire_smoke.tga
	q3map_baseshader textures/ww_mine/sfx/smoke_base
	deformvertexes autosprite
	cull none
	deformvertexes move 4.323630 1.429530 420.928986 sawtooth 0 1 0.463607 0.163466
	{
		clampmap 	textures/ww_mine/sfx/fire_smoke.tga
		AlphaGen 	wave 	sawtooth 1.000000 -1.000000 0.463607 0.163466
		rgbGen 		wave 	sawtooth 0.500000 -0.500000 0.463607 0.163466
		tcMod 		stretch sawtooth 1.000000 0.000000 0.463607 0.163466
		tcMod 		rotate 0.000000
		blendfunc 	blend
	}
}

textures/ww_mine/sfx/fire_smoke_27
{
	qer_editorimage textures/ww_mine/sfx/fire_smoke.tga
	q3map_baseshader textures/ww_mine/sfx/smoke_base
	deformvertexes autosprite
	cull none
	deformvertexes move 5.861911 0.110450 296.091705 sawtooth 0 1 -0.315287 0.236223
	{
		clampmap 	textures/ww_mine/sfx/fire_smoke.tga
		AlphaGen 	wave 	sawtooth 1.000000 -1.000000 -0.315287 0.236223
		rgbGen 		wave 	sawtooth 0.500000 -0.500000 -0.315287 0.236223
		tcMod 		stretch sawtooth 1.000000 0.000000 -0.315287 0.236223
		tcMod 		rotate 0.000000
		blendfunc 	blend
	}
}

textures/ww_mine/sfx/fire_smoke_28
{
	qer_editorimage textures/ww_mine/sfx/fire_smoke.tga
	q3map_baseshader textures/ww_mine/sfx/smoke_base
	deformvertexes autosprite
	cull none
	deformvertexes move -0.152945 9.667207 400.885101 sawtooth 0 1 0.106723 0.175472
	{
		clampmap 	textures/ww_mine/sfx/fire_smoke.tga
		AlphaGen 	wave 	sawtooth 1.000000 -1.000000 0.106723 0.175472
		rgbGen 		wave 	sawtooth 0.500000 -0.500000 0.106723 0.175472
		tcMod 		stretch sawtooth 1.000000 0.000000 0.106723 0.175472
		tcMod 		rotate 0.000000
		blendfunc 	blend
	}
}

textures/ww_mine/sfx/fire_smoke_29
{
	qer_editorimage textures/ww_mine/sfx/fire_smoke.tga
	q3map_baseshader textures/ww_mine/sfx/smoke_base
	deformvertexes autosprite
	cull none
	deformvertexes move 5.956248 -10.107685 306.319916 sawtooth 0 1 0.251625 0.225905
	{
		clampmap 	textures/ww_mine/sfx/fire_smoke.tga
		AlphaGen 	wave 	sawtooth 1.000000 -1.000000 0.251625 0.225905
		rgbGen 		wave 	sawtooth 0.500000 -0.500000 0.251625 0.225905
		tcMod 		stretch sawtooth 1.000000 0.000000 0.251625 0.225905
		tcMod 		rotate 0.000000
		blendfunc 	blend
	}
}



//==========================================================
//==========================================================
// WATER
// THESE MUST BE DISTRIBUTED WITH THE .BSP
//==========================================================
//==========================================================
textures/ww_mine/water/kb_minepool
{
	qer_editorimage textures/ww_mine/water/kb_minepool.tga
	qer_trans .7
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull none
	{
		map textures/ww_mine/water/kb_minepool.tga
		tcmod scale 0.5 0.5
		tcmod scroll -.05 .06
		blendFunc blend
		rgbGen vertex
		depthWrite
	}
    {
		map textures/ww_mine/water/kb_minepool.tga
		tcmod scale 0.6 0.6
		tcmod scroll .06 -.05
		blendFunc blend
		rgbGen vertex
		depthWrite
    }
}


textures/ww_mine/water/kb_minestream
{
	qer_editorimage textures/ww_mine/water/kb_minestream.tga
	qer_trans .7
//	q3map_globaltexture
	q3map_bounce 0
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	tesssize 80
	deformVertexes wave 32 sin 0 1 .75 .5
	cull none
	{ 
		map textures/ww_mine/water/kb_minestream.tga
		blendFunc blend
		rgbgen vertex
		tcmod scale .5 .45
		tcmod scroll 0 -.5
	}
	{ 
		map textures/ww_mine/water/kb_minestream.tga
		blendFunc blend
		rgbgen vertex
		tcmod scale .5 .5
		tcmod scroll 0 -.3
	}
}


textures/ww_mine/water/kb_minewaterfall
{
	qer_editorimage textures/ww_mine/water/kb_minewaterfall.tga
	qer_trans .7
//	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	q3map_bounce 0
	tesssize 80
	deformVertexes wave 32 sin 0 5 .75 .7
	cull none
	{ 
		map textures/ww_mine/water/kb_minewaterfall.tga
		blendFunc blend
		rgbgen vertex
//		tcmod scale .5 .45
		tcmod scroll 0 -.5
	}
	{ 
		map textures/ww_mine/water/kb_minewaterfall.tga
		blendFunc blend
		rgbgen vertex
//		tcmod scale .5 .5
		tcmod scroll 0 -.3
	}
}


textures/ww_mine/water/kb_waterinvis
{
	qer_editorimage textures/ww_mine/water/kb_minepool.tga
	qer_trans .5
	surfaceparm water
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
}




//==========================================================
//==========================================================
// SKY SHADERS
// THESE MUST BE DISTRIBUTED WITH THE .BSP
//==========================================================
//==========================================================

textures/ww_mine/sky/midday
{
	qer_editorimage textures/ww_mine/sky/midday_up.tga	
	q3map_lightimage textures/ww_mine/sky/sky_light.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm sky
	q3map_sunExt 255 250 240 200 260 41 3 16 
	q3map_skyLight 50 5
	skyparms textures/ww_mine/sky/midday - -
	{
		depthWrite
	}
}



//==========================================================
//==========================================================
// TERRAIN
// THESE MUST BE DISTRIBUTED WITH THE .BSP
//==========================================================
//==========================================================
textures/ww_mine/terrain_base1
{
	q3map_lightmapsamplesize 15
	q3map_shadeAngle 120
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
}



textures/ww_mine_valley/terrain_0
{
	q3map_baseshader textures/ww_mine/terrain_base1
	{
		map textures/ww_mine/terrain_rock2.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ww_detail/sanddetail1.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}
}

textures/ww_mine_valley/terrain_1
{
	q3map_baseshader textures/ww_mine/terrain_base1
	{
		map textures/ww_mine/terrain_ground2.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ww_detail/sanddetail1.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}
}

textures/ww_mine_valley/terrain_2
{
	q3map_baseshader textures/ww_mine/terrain_base1
	{
		map textures/ww_mine/terrain_rock1.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ww_detail/sanddetail1.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}
}

textures/ww_mine_valley/terrain_0to1
{
	q3map_baseshader textures/ww_mine/terrain_base1
	{
		map textures/ww_mine/terrain_rock2.tga
		rgbgen identity
		alphaGen vertex
	}
	{
		map textures/ww_mine/terrain_ground2.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ww_detail/sanddetail1.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}
}

textures/ww_mine_valley/terrain_0to2
{
	q3map_baseshader textures/ww_mine/terrain_base1
	{
		map textures/ww_mine/terrain_rock2.tga
		rgbgen identity
		alphaGen vertex
	}
	{
		map textures/ww_mine/terrain_rock1.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ww_detail/sanddetail1.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}
}

textures/ww_mine_valley/terrain_1to2
{
	q3map_baseshader textures/ww_mine/terrain_base1
	{
		map textures/ww_mine/terrain_ground2.tga
		rgbgen identity
		alphaGen vertex
	}
	{
		map textures/ww_mine/terrain_rock1.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ww_detail/sanddetail1.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}
}




textures/ww_mine_exit/terrain_0
{
	q3map_baseshader textures/ww_mine/terrain_base1
	
	{
		map textures/ww_mine/terrain_ground1.tga

	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/ww_mine_exit/terrain_1
{
	q3map_baseshader textures/ww_mine/terrain_base1
	
	{
		map textures/ww_mine/terrain_rock1.tga

	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/ww_mine_exit/terrain_0to1
{
	q3map_baseshader textures/ww_mine/terrain_base1
	
	{
		map textures/ww_mine/terrain_ground1.tga
	}
	{
		map textures/ww_mine/terrain_rock1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}