// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
// color will be normalized, so it doesn't matter what range you use
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// Last edited by Hewster 11th December 2004


textures/ww_mountain/midday
{
	qer_editorimage textures/ww_mountain/midday_up.tga
	q3map_lightimage textures/ww_mountain/sky_light.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm sky
	q3map_sunExt 255 253 200 240 240 55 3 16 
	q3map_skyLight 55 3
	skyparms textures/ww_mountain/midday - -
	{
		depthWrite
	}
}


textures/ww_mountain/terrain_base
{
	q3map_lightmapsamplesize 18
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 420 0 0 ) ( 0 420 0 )
	q3map_lightmapGamma 1
	q3map_bounce 1.2
	q3map_shadeAngle 120
}


textures/ww_mountain/terrain_0
{
	q3map_baseshader textures/ww_mountain/terrain_base
	surfaceparm gravelsteps
	{
		map textures/ww_mountain/terrain0.tga
//		tcmod scale 0.025 0.025
	}
	{
		map $lightmap
		blendFunc filter
		tcGen lightmap
	}
}

textures/ww_mountain/terrain_1
{
	q3map_baseshader textures/ww_mountain/terrain_base
	surfaceparm gravelsteps
	{
		map textures/ww_mountain/terrain1.tga
//		tcmod scale 0.025 0.025
	}
	{
		map $lightmap
		blendFunc filter
		tcGen lightmap
	}
}

textures/ww_mountain/terrain_2
{
	q3map_baseshader textures/ww_mountain/terrain_base
	surfaceparm gravelsteps
	{
		map textures/ww_mountain/terrain2.tga
//		tcmod scale 0.025 0.025
	}
	{
		map $lightmap
		blendFunc filter
		tcGen lightmap
	}
}

textures/ww_mountain/terrain_3
{
	q3map_baseshader textures/ww_mountain/terrain_base
	surfaceparm gravelsteps
	{
		map textures/ww_mountain/terrain3.tga
		tcmod scale 0.5 0.5
	}
	{
		map $lightmap
		blendFunc filter
		tcGen lightmap
	}
}

textures/ww_mountain/terrain_0to1
{
	q3map_baseshader textures/ww_mountain/terrain_base
	surfaceparm gravelsteps
	{
		map textures/ww_mountain/terrain0.tga
	}
	{
		map textures/ww_mountain/terrain1.tga
		alphaGen vertex
		blendFunc blend
	}
	{
		map $lightmap
		blendFunc filter
		tcGen lightmap
	}
}

textures/ww_mountain/terrain_0to2
{
	q3map_baseshader textures/ww_mountain/terrain_base
	surfaceparm gravelsteps
	{
		map textures/ww_mountain/terrain0.tga
//		tcmod scale 0.025 0.025
	}
	{
		map textures/ww_mountain/terrain2.tga
		alphaGen vertex
		blendFunc blend
	}
	{
		map $lightmap
		blendFunc filter
		tcGen lightmap
	}
}

textures/ww_mountain/terrain_0to3
{
	q3map_baseshader textures/ww_mountain/terrain_base
	surfaceparm gravelsteps
	{
		map textures/ww_mountain/terrain0.tga
//		tcmod scale 0.025 0.025
	}
	{
		map textures/ww_mountain/terrain3.tga
		tcmod scale 0.5 0.5
		alphaGen vertex
		blendFunc blend
	}
	{
		map $lightmap
		blendFunc filter
		tcGen lightmap
	}
}

textures/ww_mountain/terrain_1to2
{
	q3map_baseshader textures/ww_mountain/terrain_base
	surfaceparm gravelsteps
	{
//		tcmod scale 0.025 0.025
	}
	{
		map textures/ww_mountain/terrain2.tga
		alphaGen vertex
		blendFunc blend
	}
	{
		map $lightmap
		blendFunc filter
		tcGen lightmap
	}
}

textures/ww_mountain/terrain_1to3
{
	q3map_baseshader textures/ww_mountain/terrain_base
	surfaceparm gravelsteps
	{
		map textures/ww_mountain/terrain1.tga
//		tcmod scale 0.025 0.025
	}
	{
		map textures/ww_mountain/terrain3.tga
		tcmod scale 0.5 0.5
		alphaGen vertex
		blendFunc blend
	}
	{
		map $lightmap
		blendFunc filter
		tcGen lightmap
	}
}


textures/ww_mountain/terrain_2to3
{
	q3map_baseshader textures/ww_mountain/terrain_base
	surfaceparm gravelsteps
	{
		map textures/ww_mountain/terrain2.tga
//		tcmod scale 0.025 0.025
	}
	{
		map textures/ww_mountain/terrain3.tga
		tcmod scale 0.5 0.5
		alphaGen vertex
		blendFunc blend
	}
	{
		map $lightmap
		blendFunc filter
		tcGen lightmap
	}
}

///WATER copied from Gringo Star's MG map
textures/ww_mountain/mg_river
{
//	allowCompress
	qer_editorimage  textures/ww_mountain/water_icon1.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	sort 8
	q3map_lightmapsamplesize 40
	q3map_bounce 0
	{ 
      		map $lightmap 
      		blendFunc GL_DST_COLOR GL_ZERO 
      		rgbGen identity 
   	} 
	{
		map textures/ww_mountain/water_fluss.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    	rgbgen identity
      	tcmod scale .5 .5
//		tcmod scroll -.24 .00
		tcmod scroll -.08 .00
		tcmod turb .01 .05 0 .125
	}

	{
		animMap 6 textures/ww_mountain/fluss_seq.tga textures/ww_mountain/fluss_seq1.tga textures/ww_mountain/fluss_seq2.tga textures/ww_mountain/fluss_seq3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//		tcmod scroll -.07 .00
		tcmod scroll -.03 .00
		tcmod turb .01 .035 0 .25
		tcmod stretch sin 1 .005 0 .06
//		tcmod scroll -.05 .00
		tcmod scroll -.02 .00
	}
}
textures/ww_mountain/mg_river_dark
{
	allowCompress
	qer_editorimage  textures/ww_mountain/water_icon2.tga
	qer_trans .9
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	sort 8
	q3map_lightmapsamplesize 32
	{
		map textures/ww_mountain/water_fluss.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    	rgbgen identity
      	tcmod scale .5 .5
		tcmod scroll -.24 .00
		tcmod turb .01 .05 0 .125
	}
	{ 
      	map $lightmap 
      	blendFunc GL_DST_COLOR GL_ZERO 
      	rgbGen identity 
   	}
}

textures/ww_mountain/shadowcast_l
{
	qer_editorimage  textures/ww_mountain/shadowcast_l.tga
	qer_trans 0.5
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	cull front
	q3map_bounce 0
//	q3map_lightsubdivide 50
//	q3map_surfaceLight 150
//	q3map_lightimage textures/ww_mountain/water_light.tga
	{
		map textures/ww_common/blank.tga
		alphaFunc GT0
		alphaGen const 0
	}
}


textures/ww_mountain/ma_waterfog
{	
	qer_editorimage textures/ww_mountain/ma_waterfog.tga
    qer_trans 0.3
	q3map_bounce 0	
	surfaceparm	trans	
	surfaceparm	nonsolid	
	surfaceparm	fog	
	surfaceparm	nolightmap		
//	fogparms ( .30 .28 .18 ) 220
	fogparms ( .21 .20 .13 ) 512
}

textures/ww_mountain/fence
{
	nopicmip
	surfaceparm nomarks
	surfaceparm playerclip
	surfaceparm trans
	surfaceparm pointlight
	q3map_bounce 0
	cull none

	{
		map textures/ww_mountain/fence.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/ww_mountain/tower_beam
{
	nopicmip
	qer_editorimage textures/ww_mountain/tower_beam.tga
	qer_trans 0.5
	q3map_bounce 0
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm pointlight
	cull none
	{
		map textures/ww_mountain/tower_beam.tga
		alphaFunc GE128
		rgbGen vertex
	}
}
	

textures/ww_mountain/ma_polichedwood02
{
	qer_editorimage textures/ww_mountain/ma_polichedwood02.tga
	surfaceparm nomarks
	surfaceparm pointlight
	q3map_bounce 0
	q3map_forcesunlight
	cull none
	{
		map textures/ww_mountain/ma_polichedwood02.tga
		alphaFunc GE128
		rgbGen vertex
	}
}
